INSERT INTO SCRIPT_HISTORY ( PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
       'UPDATE_00001.sql -', -- 
	   '6.0.1', 
	   '.     DTL_  BASE_       '); 
COMMIT;

CREATE OR REPLACE procedure switch_dtl(D_T IN  date) is
PRAGMA AUTONOMOUS_TRANSACTION;
  Dtl_depth	 	number;
  Dtl_current_date 	date;
  DTL_current 		number;
  DTL_next		number;
  DTL_c		number;
  TruncCursor 		integer;
  TruncSQL 		varchar2(50);
  rp 			integer;
begin
		/*    */
    select DETAIL_DEP into dtl_depth from GLOBALS where rownum=1;
                /*         */
    select DATE_BEG,DTL_NUMBER into DTL_current_date,dtl_current from DETAILS
               where DATE_BEG=(select max(DATE_BEG) from DETAILS) and rownum=1
               order by DTL_NUMBER ASC;
               /*   ? */
    if ((dtl_current_date+dtl_depth)<=d_t) then
      BEGIN
          DBMS_OUTPUT.PUT_LINE('Switch  !!!!');
		/*       */
          select DTL_NUMBER into dtl_next from DETAILS
               where DATE_BEG=(select min(DATE_BEG) from DETAILS) and rownum=1
               order by DTL_NUMBER DESC;
	      select Count(*)into DTL_c from DETAILS			   
               where DTL_NUMBER=(DTL_next+1) and DATE_BEG is null;
		  DTL_next:=DTL_next+DTL_c;		   
          TruncCursor:= Dbms_SQL.Open_Cursor;
          TruncSQL:='TRUNCATE TABLE DTL_'||SubStr(To_Char(DTL_next,'09'),2,2);
          dbms_SQL.Parse(TruncCursor,TruncSQL,dbms_SQL.V7);
          rp:=dbms_SQL.Execute(TruncCursor);
          dbms_SQL.Close_Cursor(TruncCursor);
                 /*   */
          update DETAILS set DATE_END=D_T
                where DTL_NUMBER=DTL_current;
                /*     */
          update DETAILS set DATE_BEG=D_T,DATE_END=to_date('01-01-2222','DD-MM-YYYY')
                where DTL_NUMBER=DTL_next;
          commit;
       EXCEPTION
             WHEN OTHERS THEN
                   if (dbms_sql.is_open(TruncCursor)) then
                    dbms_SQL.Close_Cursor(TruncCursor);
                   end if;
       END;
    end if;
end;
/

CREATE OR REPLACE PACKAGE BODY OIK_base AS

 PROCEDURE ALL_TO_BASE(D_T DATE, D_T_OLD DATE,flag number default 1) is
  destination_cursor          integer;
  SQL_string                  varchar2(500);
  rows_processed              integer;
  BASE_current                 number;
begin

--  delete from shadow_main;
--  insert into shadow_main
--         (TMA,HARD_DATE_TIME,SOFT_VAL,COLOR_,QUALITY,F_HAND,DATE_END,COUNT_ON_OFF,MAX_ON_OFF,ACT_TIME)
--   select TMA,HARD_DATE_TIME,SOFT_VAL,COLOR_,QUALITY,F_HAND,DATE_END,COUNT_ON_OFF,MAX_ON_OFF,ACT_TIME
--   from main;
--  update Shadow_repl_ini set time_=D_T;
  begin
      select BASE_Number into BASE_current from BASES
             where DATE_END=TO_DATE('01012222','DDMMYYYY');
   exception
          when NO_DATA_FOUND then    /*    */
             return;
  end;
  destination_cursor := dbms_sql.open_cursor;
  SQL_string:='INSERT INTO base_';
  SQL_string:=SQL_string||substr(to_char(BASE_current,'09'),2,2);

  if flag=1 then
   begin
    SQL_string:=SQL_string||' (TMA,PAR_VALUE,PAR_DATE_TIME,QUALITY)'||
	    ' ( select tma,Round(soft_val,3),:D_T,QUALITY from'||
    ' SHADOW_MAIN where (F_WRITING=''T''))';-- and ((:D_T_OLD<=HARD_DATE_TIME)or(:D_T_OLD<=ACT_TIME)))';
--TIE  04/04/07	    ' SHADOW_MAIN where (F_WRITING=''T'') and ((:D_T_OLD<=HARD_DATE_TIME)or(:D_T_OLD<=ACT_TIME)))';
   end;
  else
   begin
    SQL_string:=SQL_string||' (TMA,PAR_VALUE,PAR_DATE_TIME,QUALITY)'||
  	    ' (select tma,round(soft_val,3),:D_T,Quality from'||
        ' SHADOW_MAIN where (F_WRITING=''T'') or (F_HAND>0))';
   end;
  end if;

  dbms_output.put_line(SQL_string);
  dbms_sql.parse(destination_cursor, SQL_string,DBMS_sql.V7);
  dbms_sql.bind_variable(destination_cursor, 'D_T', D_T);

--TIE  IF flag=1 THEN   -- 3   
--TIE    dbms_sql.bind_variable(destination_cursor, 'D_T_OLD', D_T_OLD);
--TIE  END IF;

  rows_processed := dbms_sql.execute(destination_cursor);

--  delete from shadow_main;
--  insert into shadow_main
--         (TMA,HARD_DATE_TIME,SOFT_VAL,COLOR_,QUALITY,F_HAND,DATE_END,COUNT_ON_OFF,MAX_ON_OFF,ACT_TIME)
--   select TMA,HARD_DATE_TIME,SOFT_VAL,COLOR_,QUALITY,F_HAND,DATE_END,COUNT_ON_OFF,MAX_ON_OFF,ACT_TIME
--   from main;
--  update Shadow_repl_ini set time_=D_T;

 -- commit;
  dbms_sql.close_cursor(destination_cursor);

exception
     when others then
       if dbms_sql.is_open(destination_cursor) then
          dbms_sql.close_cursor(destination_cursor);
        end if;
        raise;
 NULL;
end ALL_TO_BASE;

 PROCEDURE TO_BASE( D_T  Date, adr  varchar2, val  Number,q number) is
 --PRAGMA AUTONOMOUS_TRANSACTION;
  destination_cursor          integer;
  SQL_string                  varchar2(500);
  rows_processed              integer;
  BASE_current                 number;
begin
  begin
      select BASE_Number into BASE_current from BASES
             where DATE_END=TO_DATE('01012222','DDMMYYYY');
   exception
          when NO_DATA_FOUND then    /*    */
             return;
  end;
  destination_cursor := dbms_sql.open_cursor;
  SQL_string:='INSERT INTO base_';
  SQL_string:=SQL_string||substr(to_char(BASE_current,'09'),2,2);
  SQL_string:=SQL_string||'(TMA,PAR_VALUE,PAR_DATE_TIME,QUALITY) VALUES (:T,:V,:D,:Q)';
  dbms_sql.parse(destination_cursor, SQL_string,DBMS_sql.V7);
  dbms_sql.bind_variable(destination_cursor, 'V', val);
  dbms_sql.bind_variable(destination_cursor, 'T', adr);
  dbms_sql.bind_variable(destination_cursor, 'D', D_T);
  dbms_sql.bind_variable(destination_cursor, 'Q', q);
  rows_processed := dbms_sql.execute(destination_cursor);
  commit;
  dbms_sql.close_cursor(destination_cursor);
exception
     when others then
       if dbms_sql.is_open(destination_cursor) then
          dbms_sql.close_cursor(destination_cursor);
        end if;
        raise;
 end TO_BASE;

 PROCEDURE SWITCH_BASE(D_T IN  date) is
-- PRAGMA AUTONOMOUS_TRANSACTION;
  base_depth	 	number;
  base_current_date 	date;
  base_current 		number;
  base_next		number;
  base_c		number;
  TruncCursor 		integer;
  TruncSQL 		varchar2(50);
  rp 			integer;
begin
		/*    */
    select BASE_DEP into base_depth from GLOBALS where rownum=1;
                /*         */
    select DATE_BEG,base_NUMBER into base_current_date,base_current from BASES
               where DATE_BEG=(select max(DATE_BEG) from BASES) and rownum=1
               order by base_NUMBER ASC;
               /*   ? */
    if ((base_current_date+base_depth)<=d_t) then
      BEGIN
		  sys.dbms_system.ksdwrt(2,'!!!!!!!!!! <<<< Switch  BASE >>>> !!!!');
		/*       */
          select base_NUMBER into base_next from BASES
               where DATE_BEG=(select min(DATE_BEG) from BASES) and rownum=1
               order by base_NUMBER DESC;
		  select Count(*)into base_c from BASES			   
               where base_NUMBER=(base_next+1) and DATE_BEG is null;
		  base_next:=base_next+base_c;	 		   			   
          TruncCursor:= Dbms_SQL.Open_Cursor;
          TruncSQL:='TRUNCATE TABLE base_'||SubStr(To_Char(base_next,'09'),2,2);
          dbms_SQL.Parse(TruncCursor,TruncSQL,dbms_SQL.V7);
          rp:=dbms_SQL.Execute(TruncCursor);
          dbms_SQL.Close_Cursor(TruncCursor);
                 /*   */
          update BASES set DATE_END=D_T
                where base_NUMBER=base_current;
                /*     */
          update BASES set DATE_BEG=D_T,DATE_END=to_date('01-01-2222','DD-MM-YYYY')
                where base_NUMBER=base_next;
          commit;
       EXCEPTION
             WHEN OTHERS THEN
                   if (dbms_sql.is_open(TruncCursor)) then
                    dbms_SQL.Close_Cursor(TruncCursor);
                   end if;
       END;
    end if;
 end SWITCH_BASE;


END OIK_base;
/
