INSERT INTO SCRIPT_HISTORY ( PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
       'UPDATE_00003.sql -', --   
	   '6.0.1', 
	   '.   BACK_WORK   '); 
COMMIT;

CREATE TABLE BACK_JOBS_TIME ( 
  NAME         VARCHAR2 (25), 
  LAST_WORK    DATE, 
  INTERVAL     DATE, 
  MININTERVAL  NUMBER, 
  MAXINTERVAL  NUMBER, 
  CNT          NUMBER, 
  AVGINTERVAL  NUMBER);

ALTER TABLE SHADOW_MAIN ADD( 
  F_HOUR          VARCHAR2 (1)  DEFAULT 'F', 
  F_WRITING       VARCHAR2 (1)  DEFAULT 'F');
    
insert into BACK_JOBS_TIME (select  NAME, sysdate, sysdate,999,0,0,0 from  BACK_JOBS);  
Commit;

CREATE OR REPLACE PROCEDURE UPDATE_SHADOW(D_T Date) IS
--PRAGMA AUTONOMOUS_TRANSACTION;
/******************************************************************************
   NAME:       UPDATE_SHADOW
   PURPOSE:      MAIN

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        21.02.01      BOB       1. Created this procedure.

   PARAMETERS:
   CALLED BY: BACK_WORK;
   CALLS:  U_REPL_SHADOW;
   EXAMPLE USE:     UPDATE_SHADOW;
   ASSUMPTIONS:
   LIMITATIONS:
   ALGORITHM:  SHADOW_MAIN   MAIN
   NOTES:
******************************************************************************/
BEGIN
-- execute immediate 'truncate table shadow_main';
 delete from SHADOW_MAIN;
 insert into SHADOW_MAIN
  (
  TMA,
  HARD_DATE_TIME,
  SOFT_VAL,
  COLOR_,
  QUALITY,
  F_HAND,
  F_HOUR,
  F_WRITING,
  DATE_END,
  COUNT_ON_OFF,
  MAX_ON_OFF,
  ACT_TIME
  )
 select
   TMA,
  HARD_DATE_TIME,
  SOFT_VAL,
  COLOR_,
  QUALITY,
  F_HAND,
  F_HOUR,
  F_WRITING,
  DATE_END,
  COUNT_ON_OFF,
  MAX_ON_OFF,
  ACT_TIME
 from main;
update Shadow_repl_ini set time_=D_T;
END UPDATE_SHADOW;
/

CREATE OR REPLACE PROCEDURE UPDATE_TIME
       ( tbl  VARCHAR2)is
begin
  update BACK_JOBS_TIME set INTERVAL=sysdate
  where NAME=tbl;

  update BACK_JOBS_TIME set MININTERVAL=(INTERVAL-LAST_WORK)*24*60*60
  where NAME=tbl
    and MININTERVAL>(INTERVAL-LAST_WORK)*24*60*60;
  update BACK_JOBS_TIME set MAXINTERVAL=(INTERVAL-LAST_WORK)*24*60*60
  where NAME=tbl
    and MAXINTERVAL<(INTERVAL-LAST_WORK)*24*60*60;

  update BACK_JOBS_TIME set avginterval=(avginterval*cnt+(INTERVAL-LAST_WORK)*24*60*60)/(cnt+1)
  where NAME=tbl;

  update BACK_JOBS_TIME set cnt=(cnt+1)
  where NAME=tbl;

end UPDATE_TIME;
/

CREATE OR REPLACE PROCEDURE BACK_WORK IS
/******************************************************************************
   NAME:       BACK_WORK
   PURPOSE:     

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        15.01.01      BOB       1. Created this procedure.

   PARAMETERS:
   INPUT:
   OUTPUT:
   RETURNED VALUE:			
   CALLED BY:		 		DBMS_JOB
   CALLS:
   EXAMPLE USE:     		BACK_WORK;
   ASSUMPTIONS:
   LIMITATIONS:
   ALGORITHM:        BACK_JOB   
                <0  

   NOTES: ALL_TO_BASE       
                   
******************************************************************************/
  Now date;
  MaxNow date;
  SD  date;
  LastDate date;
  Interval number;
  Elapsed number;
  BegTime number;
  NewDay boolean;
  w boolean;
-- TRY  InTransaction boolean;
  b_time number;
  e_time number;
  BalansCounted boolean;
Cursor all_job is   --   
         select last_work,interval,name
         from back_jobs
         where priority>0
         order by priority;
BEGIN
  update BACK_JOBS_TIME set LAST_WORK=sysdate
  where NAME='BACK_WORK';
		  
  b_time:=dbms_utility.get_time();
-- TRY  inTransaction:=false;
  BalansCounted:=false;
  LOCK TABLE MAIN IN EXCLUSIVE MODE; ------  TTTTT RRRRRR YYYYYY !!!!!!!!!!!
--  commit;
--  set transaction isolation level serializable;
  SD:=sysdate; --   
--  sys.dbms_system.ksdwrt(2,TO_CHAR(SD,'DD-MM-YYYY HH24:MI:SS'));
 w:=false;
 MaxNow:=TO_DATE('01010001','DDMMYYYY');
 NewDay:=false;
  for job_rec in all_job loop  --    
    Interval:=Job_Rec.Interval-TO_DATE('01010001','DDMMYYYY');
	BegTime:=DBMS_UTILITY.GET_TIME;
    Now:=SD;
    if (Interval>=1) then  -- >= 1 day
	   Now:=trunc(Now,'DD');
	elsif (Interval>=(1/24)) then  -- >= 1 hour
	   Now:=trunc(Now,'HH24');
    elsif (Interval>=(1/(24*60))) then  -- >= 1 min
--	   Now:=trunc(Now,'HH24')+trunc((Now-trunc(Now,'HH24'))/Interval)*Interval;  -- 
	   IF TRUNC(NOW,'MI')-NOW=0 THEN
		 NOW:=TRUNC(NOW,'HH24')+TRUNC((NOW+1/(24*3600)-TRUNC(NOW,'HH24'))/INTERVAL)*INTERVAL;
	   ELSE
  	     NOW:=TRUNC(NOW,'HH24')+TRUNC((NOW-TRUNC(NOW,'HH24'))/INTERVAL)*INTERVAL;
	   END IF;
    elsif (Interval>(1/(24*60*60))) then  -- > 1 sec
	   Now:=trunc(Now,'MI')+trunc((Now-trunc(Now,'MI'))/Interval)*Interval;
    end if;
	
	if Now>MaxNow then --    REPL_INI
	   MaxNow:=Now;
	end if;
			    -- DEBUG
--         DBMS_OUTPUT.PUT_LINE(''||job_rec.name||' '
--     	||to_char(sysdate,'dd/mm/yyyy hh24:mi:ss')||'  '
-- 	    ||to_char(now,'dd/mm/yyyy hh24:mi:ss')||'  '
--         ||to_char(job_rec.Interval,'dd/mm/yyyy hh24:mi:ss'));
				-- DEBUG

/*  BASETIME   DATE, 
  NAMETABLE  VARCHAR2 (25), 
  TMA        VARCHAR2 (10), 
  VAL        NUMBER (3))
*/
    if (Now>Job_rec.Last_work) then
--         DBMS_OUTPUT.PUT_LINE(''||job_rec.name||' '
--     	||to_char(job_rec.last_work,'dd/mm/yyyy hh24:mi:ss')||'  '
-- 	    ||to_char(LastDate,'dd/mm/yyyy hh24:mi:ss')||'  '
--         ||to_char(job_rec.Interval,'dd/mm/yyyy hh24:mi:ss'));
		if UPPER(Job_rec.Name) ='CHECK_FRESH' then
		  update BACK_JOBS_TIME set LAST_WORK=sysdate
		  where NAME='CHECK_FRESH';
		  CHECK_FRESH;
		  UPDATE_TIME('CHECK_FRESH');
		elsif UPPER(Job_rec.Name) ='HAND_GRAPH_PROC' then
		  update BACK_JOBS_TIME set LAST_WORK=sysdate
		  where NAME='HAND_GRAPH_PROC';
		  HAND_GRAPH_PROC(Now);
		  UPDATE_TIME('HAND_GRAPH_PROC');
		elsif UPPER(Job_rec.Name) ='COUNT_TRANS' then
		  update BACK_JOBS_TIME set LAST_WORK=sysdate
		  where NAME='COUNT_TRANS';
		  COUNT_TRANS(Now);
		  UPDATE_TIME('COUNT_TRANS');
		elsif UPPER(Job_rec.Name) ='COUNT_INTEGRALS' then
		  update BACK_JOBS_TIME set LAST_WORK=sysdate
		  where NAME='COUNT_INTEGRALS';
		  COUNT_INTEGRALS(Now);
		  UPDATE_TIME('COUNT_INTEGRALS');
		elsif UPPER(Job_rec.Name) ='COUNT_BALANS' then
-- TRY		  if not InTransaction then
-- TRY           	  commit;
-- TRY              set transaction isolation level serializable;
-- TRY              InTransaction:=true;
-- TRY		  end If;
		  if not BalansCounted then
		     update BACK_JOBS_TIME set LAST_WORK=sysdate
		     where NAME='COUNT_BALANS';
 		     COUNT_BALANS(Now);
			 UPDATE_TIME('COUNT_BALANS');
		     BalansCounted:=true;
		  end if;
		elsif UPPER(Job_rec.Name) ='COUNT_AVERAGE' then
		  update BACK_JOBS_TIME set LAST_WORK=sysdate
		  where NAME='COUNT_AVERAGE';
		  COUNT_AVERAGE(Now,Job_rec.Last_work,Interval);
		  UPDATE_TIME('COUNT_AVERAGE');
		elsif UPPER(Job_rec.Name) ='ALL_TO_BASE' and not NewDay then
		--TIE  
		  commit;
		  update BACK_JOBS_TIME set LAST_WORK=sysdate
		  where NAME='ALL_TO_BASE';
-- TRY		  if not InTransaction then
-- TRY           	  commit;
-- TRY              set transaction isolation level serializable;
-- TRY              InTransaction:=true;
-- TRY		  end If;
--TRY###		  if not BalansCounted then
--TIE 		     COUNT_BALANS(Now);
--TIE  	  		 sys.dbms_system.ksdwrt(2,'+++COUNT_BALANS'||' '||TO_CHAR(NOW,'DD.MM.YY HH24:MI:SS'));
--TIE		     BalansCounted:=true;
--TRY###		  end if;
		  --ALL_TO_BASE(Now,job_rec.Last_Work);
 sys.dbms_system.ksdwrt(2,'#######<<<<<<ALL_TO_BASE '||' '||TO_CHAR(sysdate,'DD.MM.YY HH24:MI:SS'));
		  OIK_BASE.ALL_TO_BASE(Now,job_rec.Last_Work);
 sys.dbms_system.ksdwrt(2,'#######>>>>>>>ALL_TO_BASE '||' '||TO_CHAR(sysdate,'DD.MM.YY HH24:MI:SS'));		  
		  UPDATE_TIME('ALL_TO_BASE');
		elsif UPPER(Job_rec.Name) ='ALL_TO_HOUR' and not NewDay then
		  --TIE  
		  commit;
		  
		  update BACK_JOBS_TIME set LAST_WORK=sysdate
		  where NAME='ALL_TO_HOUR';
   	  		
 sys.dbms_system.ksdwrt(2,'###########--------ALL_TO_HOUR '||' '||TO_CHAR(sysdate,'DD.MM.YY HH24:MI:SS'));

-- TRY		  if not InTransaction then
-- TRY           	  commit;
-- TRY              set transaction isolation level serializable;
-- TRY              InTransaction:=true;
-- TRY		  end If;
--TRY###		  if not BalansCounted then
--TIE 		     COUNT_BALANS(Now);
--TIE   	  		 sys.dbms_system.ksdwrt(2,'+++COUNT_BALANS'||' '||TO_CHAR(NOW,'DD.MM.YY HH24:MI:SS'));
--TIE		     BalansCounted:=true;
--TRY###		  end if;

   	  		
 sys.dbms_system.ksdwrt(2,'#######<<<<<<ALL_TO_HOUR '||' '||TO_CHAR(sysdate,'DD.MM.YY HH24:MI:SS'));
		  ALL_TO_HOUR(Now);
 sys.dbms_system.ksdwrt(2,'#######>>>>>>>ALL_TO_HOUR '||' '||TO_CHAR(sysdate,'DD.MM.YY HH24:MI:SS'));
	  
--          DBMS_OUTPUT.PUT_LINE('ALL_TO_HOUR');
          UPDATE_TIME('ALL_TO_HOUR');
		elsif UPPER(Job_rec.Name) ='UPDATE_SHADOW' then
		  update BACK_JOBS_TIME set LAST_WORK=sysdate
		  where NAME='UPDATE_SHADOW';
-- TRY		  if not InTransaction then
-- TRY           	  commit;
-- TRY              set transaction isolation level serializable;
-- TRY              InTransaction:=true;
-- TRY		  end If;
--TRY###		  if not BalansCounted then
 		     COUNT_BALANS(Now);
  	  		 sys.dbms_system.ksdwrt(2,'+++COUNT_BALANS'||' '||TO_CHAR(NOW,'DD.MM.YY HH24:MI:SS'));
		     BalansCounted:=true;
--TRY###		  end if;
		  UPDATE_SHADOW(Now);
		  UPDATE_TIME('UPDATE_SHADOW');
		elsif UPPER(Job_rec.Name) ='NEW_DAY' then
		  update BACK_JOBS_TIME set LAST_WORK=sysdate
		  where NAME='NEW_DAY';
-- TRY		  if not InTransaction then
-- TRY           	  commit;
-- TRY              set transaction isolation level serializable;
-- TRY              InTransaction:=true;
-- TRY		  end If;
		  NEW_DAY(Now-(1/(24*60*60)),'T');
		  CLEAR_TO_DATE(Now-(1/(24*60*60)));
		  NewDay:=true;
		  UPDATE_TIME('NEW_DAY');
		else
    	 begin
		  EXECUTE IMMEDIATE  Job_rec.Name||'(Now);';
	     EXCEPTION
         WHEN OTHERS THEN
          Null;
		 end;
        end if;

        update BACK_JOBS set last_work=now where name=Job_Rec.Name;
		-- DEBUG
 		sys.dbms_system.ksdwrt(2,';-)'||Job_Rec.Name||' '||TO_CHAR(NOW,'DD.MM.YY HH24:MI:SS'));
		w:=true;
		-- DEBUG
	end if;
  --  DBMS_OUTPUT.PUT_LINE('-- JOB -- '||job_rec.name||' '||job_rec.last_work||job_rec.interval);
  end loop;
  Commit; --  commit  

  if MaxNow>TO_DATE('01010001','DDMMYYYY') then
     U_repl(MaxNow); --??
  end if;
  --- DDDDDDDDDDDDDDDDDDDDD!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!--------------------------------------
  e_time:=dbms_utility.get_time();							  									 --*
  --if e_time<>b_time then																		 --*
  --  insert into my_stat values(sysdate,e_time-b_time);											 --*
  --end if;  																						 --*
  
  UPDATE_TIME('BACK_WORK');
  commit;																						 --*
  if w then																						 --*
    sys.dbms_system.ksdwrt(2,'>>>>>>>>ELAPSED>>>>>>: '||(e_time-b_time));						 --*
  end if;											 											 --*
  --- DDDDDDDDDDDDDDDDDDDDD!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!----------------------------------------
  EXCEPTION
     WHEN OTHERS THEN
	  rollback;
      sys.dbms_system.ksdwrt(2,SQLERRM);
END BACK_WORK;
/

CREATE OR REPLACE PROCEDURE ALL_TO_HOUR (D_T DATE) IS
/******************************************************************************
   NAME:       ALL_TO_HOUR
   PURPOSE:       

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        18.01.01      BOB       1. Created this procedure.

   PARAMETERS: 
   CALLED BY: BACK_WORK;
   CALLS:
   EXAMPLE USE:     ALL_TO_HOUR;
   ASSUMPTIONS:    
   LIMITATIONS:
   NOTES:
******************************************************************************/
BEGIN
  insert into HOUR_REP (TMA,PAR_VALUE,PAR_DATE_TIME,QUALITY,F_HAND) (select tma,round(soft_val,3),D_T,Quality,F_HAND from
           SHADOW_MAIN where (F_HOUR='T'));
END ALL_TO_HOUR;
/
CREATE OR REPLACE PACKAGE BODY OIK_base AS

 PROCEDURE ALL_TO_BASE(D_T DATE, D_T_OLD DATE,flag number default 1) is
  destination_cursor          integer;
  SQL_string                  varchar2(500);
  rows_processed              integer;
  BASE_current                 number;
begin

--  delete from shadow_main;
--  insert into shadow_main
--         (TMA,HARD_DATE_TIME,SOFT_VAL,COLOR_,QUALITY,F_HAND,DATE_END,COUNT_ON_OFF,MAX_ON_OFF,ACT_TIME)
--   select TMA,HARD_DATE_TIME,SOFT_VAL,COLOR_,QUALITY,F_HAND,DATE_END,COUNT_ON_OFF,MAX_ON_OFF,ACT_TIME
--   from main;
--  update Shadow_repl_ini set time_=D_T;
  begin
      select BASE_Number into BASE_current from BASES
             where DATE_END=TO_DATE('01012222','DDMMYYYY');
   exception
          when NO_DATA_FOUND then    /*    */
             return;
  end;
  destination_cursor := dbms_sql.open_cursor;
  SQL_string:='INSERT INTO base_';
  SQL_string:=SQL_string||substr(to_char(BASE_current,'09'),2,2);
  
  if flag=1 then
   begin
    SQL_string:=SQL_string||' (TMA,PAR_VALUE,PAR_DATE_TIME,QUALITY)'||
	    ' ( select tma,Round(soft_val,3),:D_T,QUALITY from'||
    ' SHADOW_MAIN where (F_WRITING=''T''))';-- and ((:D_T_OLD<=HARD_DATE_TIME)or(:D_T_OLD<=ACT_TIME)))';
--TIE  04/04/07	    ' SHADOW_MAIN where (F_WRITING=''T'') and ((:D_T_OLD<=HARD_DATE_TIME)or(:D_T_OLD<=ACT_TIME)))';
   end;
  else
   begin
    SQL_string:=SQL_string||' (TMA,PAR_VALUE,PAR_DATE_TIME,QUALITY)'||
  	    ' (select tma,round(soft_val,3),:D_T,Quality from'||
        ' SHADOW_MAIN where (F_WRITING=''T'') or (F_HAND>0))';
   end;
  end if;
  
  dbms_output.put_line(SQL_string);
  dbms_sql.parse(destination_cursor, SQL_string,DBMS_sql.V7);
  dbms_sql.bind_variable(destination_cursor, 'D_T', D_T);
  
--TIE  IF flag=1 THEN   -- 3   
--TIE    dbms_sql.bind_variable(destination_cursor, 'D_T_OLD', D_T_OLD);
--TIE  END IF;
  
  rows_processed := dbms_sql.execute(destination_cursor);

--  delete from shadow_main;
--  insert into shadow_main
--         (TMA,HARD_DATE_TIME,SOFT_VAL,COLOR_,QUALITY,F_HAND,DATE_END,COUNT_ON_OFF,MAX_ON_OFF,ACT_TIME)
--   select TMA,HARD_DATE_TIME,SOFT_VAL,COLOR_,QUALITY,F_HAND,DATE_END,COUNT_ON_OFF,MAX_ON_OFF,ACT_TIME
--   from main;
--  update Shadow_repl_ini set time_=D_T;

 -- commit;
  dbms_sql.close_cursor(destination_cursor);
  
exception
     when others then
       if dbms_sql.is_open(destination_cursor) then
          dbms_sql.close_cursor(destination_cursor);
        end if;
        raise;
 NULL;
end ALL_TO_BASE;

 PROCEDURE TO_BASE( D_T  Date, adr  varchar2, val  Number,q number) is
 --PRAGMA AUTONOMOUS_TRANSACTION;
  destination_cursor          integer;
  SQL_string                  varchar2(500);
  rows_processed              integer;
  BASE_current                 number;
begin
  begin
      select BASE_Number into BASE_current from BASES
             where DATE_END=TO_DATE('01012222','DDMMYYYY');
   exception
          when NO_DATA_FOUND then    /*    */
             return;
  end;
  destination_cursor := dbms_sql.open_cursor;
  SQL_string:='INSERT INTO base_';
  SQL_string:=SQL_string||substr(to_char(BASE_current,'09'),2,2);
  SQL_string:=SQL_string||'(TMA,PAR_VALUE,PAR_DATE_TIME,QUALITY) VALUES (:T,:V,:D,:Q)';
  dbms_sql.parse(destination_cursor, SQL_string,DBMS_sql.V7);
  dbms_sql.bind_variable(destination_cursor, 'V', val);
  dbms_sql.bind_variable(destination_cursor, 'T', adr);
  dbms_sql.bind_variable(destination_cursor, 'D', D_T);
  dbms_sql.bind_variable(destination_cursor, 'Q', q);
  rows_processed := dbms_sql.execute(destination_cursor);
  commit;
  dbms_sql.close_cursor(destination_cursor);
exception
     when others then
       if dbms_sql.is_open(destination_cursor) then
          dbms_sql.close_cursor(destination_cursor);
        end if;
        raise;
 end TO_BASE;

 PROCEDURE SWITCH_BASE(D_T IN  date) is
-- PRAGMA AUTONOMOUS_TRANSACTION;
  base_depth	 	number;
  base_current_date 	date;
  base_current 		number;
  base_next		number;
  TruncCursor 		integer;
  TruncSQL 		varchar2(50);
  rp 			integer;
begin
		/*    */
    select BASE_DEP into base_depth from GLOBALS where rownum=1;
                /*         */
    select DATE_BEG,base_NUMBER into base_current_date,base_current from BASES
               where DATE_BEG=(select max(DATE_BEG) from BASES) and rownum=1
               order by base_NUMBER ASC;
               /*   ? */
    if ((base_current_date+base_depth)<=d_t) then
      BEGIN
		  sys.dbms_system.ksdwrt(2,'!!!!!!!!!! <<<< Switch  BASE >>>> !!!!');
		/*       */
          select base_NUMBER into base_next from BASES
               where DATE_BEG=(select min(DATE_BEG) from BASES) and rownum=1
               order by base_NUMBER DESC;
          TruncCursor:= Dbms_SQL.Open_Cursor;
          TruncSQL:='TRUNCATE TABLE base_'||SubStr(To_Char(base_next,'09'),2,2);
          dbms_SQL.Parse(TruncCursor,TruncSQL,dbms_SQL.V7);
          rp:=dbms_SQL.Execute(TruncCursor);
          dbms_SQL.Close_Cursor(TruncCursor);
                 /*   */
          update BASES set DATE_END=D_T
                where base_NUMBER=base_current;
                /*     */
          update BASES set DATE_BEG=D_T,DATE_END=to_date('01-01-2222','DD-MM-YYYY')
                where base_NUMBER=base_next;
          commit;
       EXCEPTION
             WHEN OTHERS THEN
                   if (dbms_sql.is_open(TruncCursor)) then
                    dbms_SQL.Close_Cursor(TruncCursor);
                   end if;
       END;
    end if;
 end SWITCH_BASE;


END OIK_base;
/


  