INSERT INTO SCRIPT_HISTORY ( PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
	 'UPDATE_00032.sql - ', -- 
	 '6.0.2 ', 
	 '. ,    '); 
COMMIT;

--ALTER TABLE ADDRESS
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE ADDRESS CASCADE CONSTRAINTS;

CREATE TABLE ADDRESS
(
  ADDRESSID  NUMBER(10)                         NOT NULL,
  STREETID   NUMBER(10)                         DEFAULT -1,
  HOUSE      VARCHAR2(80 BYTE),
  NEXTID     NUMBER(10)                         DEFAULT -1,
  LIGHTID    NUMBER(10)                         DEFAULT -1,
  KNDABNID   NUMBER(10)                         DEFAULT -1,
  NPP        NUMBER(10),
  H_         NUMBER,
  K_         VARCHAR2(20 BYTE),
  F_         VARCHAR2(20 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_ADDRESS ON ADDRESS
(ADDRESSID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER ADDRESS_INSERT
BEFORE INSERT
ON ADDRESS REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
begin
  select SQ_Address.NextVal into :new.AddressID from dual;
  IF :new.kndabnid=-1 THEN 
    :new.NPP:=-1;
  ELSE 
    :new.NPP:=0;
  END IF;	
end;
/


CREATE OR REPLACE TRIGGER ADDRESS_UPDATE
BEFORE UPDATE
ON ADDRESS REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
  IF :new.kndabnid=-1 THEN 
    :new.NPP:=-1;
  ELSE 
    :new.NPP:=0;
  END IF;	
END;
/


ALTER TABLE ADDRESS ADD (
  CONSTRAINT PK_ADDRESS
 PRIMARY KEY
 (ADDRESSID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
-------
--ALTER TABLE BELL
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE BELL CASCADE CONSTRAINTS;

CREATE TABLE BELL
(
  REQUESTID     NUMBER(10)                      NOT NULL,
  ADDRESSID     NUMBER(10)                      DEFAULT -1,
  PEOPLEID      NUMBER(10)                      DEFAULT -1,
  DAMAGEID      NUMBER(2)                       DEFAULT -1,
  DISPATCHERID  NUMBER(3),
  ORDERID       NUMBER(8),
  USERCOMMENT   LONG,
  WORKDATE      DATE,
  DONEDATE      DATE,
  WORKRESULT    VARCHAR2(100 BYTE),
  REQUESTDATE   DATE
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_BELL ON BELL
(REQUESTID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER BELL_Insert
before insert on  Bell
for each row
begin
  select SQ_BELL.NextVal into :new.RequestID from dual;
end;
/


ALTER TABLE BELL ADD (
  CONSTRAINT PK_BELL
 PRIMARY KEY
 (REQUESTID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
--------
--ALTER TABLE BLANK
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE BLANK CASCADE CONSTRAINTS;

CREATE TABLE BLANK
(
  ORDERID       NUMBER(8)                       NOT NULL,
  ORDERDATE     DATE,
  ORDERNUMBER   NUMBER(4),
  DISPATCHERID  NUMBER(3),
  RANGERID      NUMBER(2)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_BLANK ON BLANK
(ORDERID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER BLANK_Insert
before insert on  BLANK
for each row
begin
  select SQ_BLANK.NextVal into :new.OrderID from dual;
end;
/


ALTER TABLE BLANK ADD (
  CONSTRAINT PK_BLANK
 PRIMARY KEY
 (ORDERID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
----------
--DROP TABLE EQUIPT CASCADE CONSTRAINTS;

CREATE TABLE EQUIPT
(
  LINKID    NUMBER(10),
  KINDEQID  NUMBER(3)                           DEFAULT -1,
  TRANS_    VARCHAR2(20 BYTE),
  P_        VARCHAR2(20 BYTE),
  I_        VARCHAR2(20 BYTE),
  N_        VARCHAR2(20 BYTE),
  STATE_    VARCHAR2(20 BYTE),
  DATEON_   VARCHAR2(10 BYTE),
  DATEOFF_  VARCHAR2(10 BYTE),
  REG_      VARCHAR2(20 BYTE),
  FIO_      VARCHAR2(30 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

------------
--ALTER TABLE KND_ABN
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE KND_ABN CASCADE CONSTRAINTS;

CREATE TABLE KND_ABN
(
  KNDABNID  NUMBER(4)                           NOT NULL,
  NAME      VARCHAR2(100 BYTE),
  PHONE     VARCHAR2(128 BYTE),
  F_OUR     CHAR(1 BYTE)                        DEFAULT 'F'
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_KND_ABN ON KND_ABN
(KNDABNID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER KND_ABN_Insert
before insert on  KND_ABN
for each row
begin
  select SQ_KND_ABN.NextVal into :new.KNDABNID from dual;
end;
/


ALTER TABLE KND_ABN ADD (
  CONSTRAINT PK_KND_ABN
 PRIMARY KEY
 (KNDABNID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
----------
--ALTER TABLE KND_DMG
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE KND_DMG CASCADE CONSTRAINTS;

CREATE TABLE KND_DMG
(
  DAMAGEID  NUMBER(2)                           NOT NULL,
  NAME      VARCHAR2(30 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_KND_DMG ON KND_DMG
(DAMAGEID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER KND_DMG_Insert
before insert on  KND_DMG
for each row
begin
  select  SQ_KND_DMG.NextVal into :new.DamageID from dual;
end;
/


ALTER TABLE KND_DMG ADD (
  CONSTRAINT PK_KND_DMG
 PRIMARY KEY
 (DAMAGEID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
---------------
--ALTER TABLE KND_EQUIP
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE KND_EQUIP CASCADE CONSTRAINTS;

CREATE TABLE KND_EQUIP
(
  KINDEQID  NUMBER(3)                           NOT NULL,
  NAME      VARCHAR2(50 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_KND_EQUIP ON KND_EQUIP
(KINDEQID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER KND_EQUIP_Insert
before insert on  KND_EQUIP
for each row
begin
  select SQ_KND_EQUIP.NextVal into :new.KindEqID from dual;
end;
/


ALTER TABLE KND_EQUIP ADD (
  CONSTRAINT PK_KND_EQUIP
 PRIMARY KEY
 (KINDEQID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
--------------
--ALTER TABLE KND_OBJ
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE KND_OBJ CASCADE CONSTRAINTS;

CREATE TABLE KND_OBJ
(
  KINDID    NUMBER(2)                           NOT NULL,
  NAME      VARCHAR2(30 BYTE),
  F_LINK    VARCHAR2(1 BYTE)                    DEFAULT 'T',
  F_PICT    VARCHAR2(1 BYTE)                    DEFAULT 'T',
  F_EQUIPT  VARCHAR2(1 BYTE)                    DEFAULT 'T',
  F_LINETP  VARCHAR2(1 BYTE)                    DEFAULT 'F',
  F_LINERP  VARCHAR2(1 BYTE)                    DEFAULT 'F'
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_KND_OBJ ON KND_OBJ
(KINDID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER KND_OBJ_Insert
before insert on  KND_OBJ
for each row
begin
  select SQ_KND_OBJ.NextVal into :new.KindID from dual;
end;
/


ALTER TABLE KND_OBJ ADD (
  CONSTRAINT PK_KND_OBJ
 PRIMARY KEY
 (KINDID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
------------
--ALTER TABLE KND_TYPE
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE KND_TYPE CASCADE CONSTRAINTS;

CREATE TABLE KND_TYPE
(
  TYPEID  NUMBER(2)                             NOT NULL,
  NAME    VARCHAR2(30 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_KND_TYPE ON KND_TYPE
(TYPEID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER KND_TYPE_Insert
before insert on  KND_TYPE
for each row
begin
  select SQ_KND_TYPE.NextVal into :new.TypeID from dual;
end;
/


ALTER TABLE KND_TYPE ADD (
  CONSTRAINT PK_KND_TYPE
 PRIMARY KEY
 (TYPEID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
---------------
--ALTER TABLE LIGHT
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE LIGHT CASCADE CONSTRAINTS;

CREATE TABLE LIGHT
(
  LIGHTID      NUMBER(10)                       NOT NULL,
  LIGHTNUMBER  VARCHAR2(5 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_LIGHT ON LIGHT
(LIGHTID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER LIGHT_Insert
before insert on   LIGHT
for each row
begin
  select SQ_LIGHT.NextVal into :new.LightID from dual;
end;
/


ALTER TABLE LIGHT ADD (
  CONSTRAINT PK_LIGHT
 PRIMARY KEY
 (LIGHTID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
----------
--ALTER TABLE LINK
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE LINK CASCADE CONSTRAINTS;

CREATE TABLE LINK
(
  OBJECTID     NUMBER(10)                       NOT NULL,
  NAME         VARCHAR2(40 BYTE),
  KINDID       NUMBER(2)                        DEFAULT -1,
  NEXTID       NUMBER(10)                       DEFAULT -1,
  OWNER        VARCHAR2(50 BYTE),
  STREETID     NUMBER(10)                       DEFAULT -1,
  HOUSE        VARCHAR2(50 BYTE),
  TYPEID       NUMBER(2)                        DEFAULT -1,
  PICTUREID    NUMBER(10)                       DEFAULT -1,
  OBJECT_PATH  VARCHAR2(3000 BYTE),
  NAME_PATH    VARCHAR2(3000 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_LINK ON LINK
(OBJECTID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER LINK_Insert
before insert on   LINK
for each row
begin
  select SQ_LINK.NextVal into :new.ObjectID from dual;
end;
/


ALTER TABLE LINK ADD (
  CONSTRAINT PK_LINK
 PRIMARY KEY
 (OBJECTID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
-------------
--ALTER TABLE NODE
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE NODE CASCADE CONSTRAINTS;

CREATE TABLE NODE
(
  NODEID    NUMBER(10)                          NOT NULL,
  OBJECTID  NUMBER(10)                          DEFAULT -1,
  NEXTID    NUMBER(10)                          DEFAULT -1,
  NAME      VARCHAR2(30 BYTE),
  SOFT_VAL  NUMBER                              DEFAULT 0
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_NODE ON NODE
(NODEID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX PK_NODE_OBJECTID ON NODE
(OBJECTID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX PK_NODE_NEXTID ON NODE
(NEXTID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER NODE_Insert
before insert on   NODE
for each row
begin
  select SQ_NODE.NextVal into :new.NODEID from dual;
end;
/


ALTER TABLE NODE ADD (
  CONSTRAINT PK_NODE
 PRIMARY KEY
 (NODEID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
------------
--ALTER TABLE PEOPLE
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE PEOPLE CASCADE CONSTRAINTS;

CREATE TABLE PEOPLE
(
  PEOPLEID  NUMBER(10)                          NOT NULL,
  NAME      VARCHAR2(50 BYTE),
  FLAT      NUMBER(3),
  PHONE     VARCHAR2(20 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_PEOPLE ON PEOPLE
(PEOPLEID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER PEOPLE_Insert
before insert on  PEOPLE
for each row
begin
  select SQ_PEOPLE.NextVal into :new.PeopleID from dual;
end;
/


ALTER TABLE PEOPLE ADD (
  CONSTRAINT PK_PEOPLE
 PRIMARY KEY
 (PEOPLEID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
--------------
ALTER TABLE RANGER
 DROP PRIMARY KEY CASCADE;
DROP TABLE RANGER CASCADE CONSTRAINTS;

CREATE TABLE RANGER
(
  RANGERID  NUMBER(2)                           NOT NULL,
  NAME      VARCHAR2(50 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_RANGER ON RANGER
(RANGERID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER RANGER_Insert
before insert on   RANGER
for each row
begin
  select SQ_RANGER.NextVal into :new.RangerID from dual;
end;
/


ALTER TABLE RANGER ADD (
  CONSTRAINT PK_RANGER
 PRIMARY KEY
 (RANGERID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));

--------------
--ALTER TABLE STREET
-- DROP PRIMARY KEY CASCADE;
--DROP TABLE STREET CASCADE CONSTRAINTS;

CREATE TABLE STREET
(
  STREETID  NUMBER(10)                          NOT NULL,
  NAME      VARCHAR2(100 BYTE),
  POS_      VARCHAR2(100 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX PK_STREET ON STREET
(STREETID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER Street_Insert
before insert on   Street
for each row
begin
  select SQ_Street.NextVal into :new.StreetID from dual;
end;
/


ALTER TABLE STREET ADD (
  CONSTRAINT PK_STREET
 PRIMARY KEY
 (STREETID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
--------------
--DROP VIEW ADDRESS_V;

--/* Formatted on 2007/12/19 15:35 (Formatter Plus v4.8.8) */
CREATE OR REPLACE FORCE VIEW address_v (addressid,
                                                 streetid,
                                                 house,
                                                 nextid,
                                                 lightid,
                                                 kndabnid,
                                                 npp,
                                                 h_,
                                                 k_,
                                                 f_
                                                )
AS
   SELECT addressid, streetid, house, nextid, lightid, kndabnid, npp, h_, k_,
          f_
     FROM address
    WHERE h_ IS NULL
   UNION
   SELECT addressid, streetid, '' || h_ house, nextid, lightid, kndabnid, npp,
          h_, k_, f_
     FROM address
    WHERE NOT h_ IS NULL AND k_ IS NULL AND f_ IS NULL
   UNION
   SELECT addressid, streetid, '' || h_ || '/' || k_ house, nextid, lightid,
          kndabnid, npp, h_, k_, f_
     FROM address
    WHERE NOT h_ IS NULL AND NOT k_ IS NULL AND f_ IS NULL
   UNION
   SELECT addressid, streetid, '' || h_ || '  ' || f_ house, nextid,
          lightid, kndabnid, npp, h_, k_, f_
     FROM address
    WHERE NOT h_ IS NULL AND k_ IS NULL AND NOT f_ IS NULL
   UNION
   SELECT addressid, streetid, '' || h_ || '/' || k_ || '  ' || f_ house,
          nextid, lightid, kndabnid, npp, h_, k_, f_
     FROM address
    WHERE NOT h_ IS NULL AND NOT k_ IS NULL AND NOT f_ IS NULL;

--------------------
--DROP VIEW ADDRESS_V_G;

--/* Formatted on 2007/12/19 15:35 (Formatter Plus v4.8.8) */
CREATE OR REPLACE FORCE VIEW address_v_g (addressid,
                                                   streetid,
                                                   house,
                                                   nextid,
                                                   lightid,
                                                   kndabnid,
                                                   npp,
                                                   h_,
                                                   k_,
                                                   f_
                                                  )
AS
   SELECT addressid, streetid, house, nextid, lightid, kndabnid, npp, h_, k_,
          f_
     FROM address
    WHERE h_ IS NULL
   UNION
   SELECT addressid, streetid, '' || h_ house, nextid, lightid, kndabnid, npp,
          h_, k_, f_
     FROM address
    WHERE NOT h_ IS NULL AND k_ IS NULL
   UNION
   SELECT addressid, streetid, '' || h_ || '/' || k_ house, nextid, lightid,
          kndabnid, npp, h_, k_, f_
     FROM address
    WHERE NOT h_ IS NULL AND NOT k_ IS NULL;

----------------
--DROP VIEW NODE_V;

--/* Formatted on 2007/12/19 15:35 (Formatter Plus v4.8.8) */
CREATE OR REPLACE FORCE VIEW node_v (objectid,
                                              nextid,
                                              nodeid,
                                              NAME,
                                              soft_val
                                             )
AS
   SELECT objectid, nextid, nodeid, NAME, soft_val
     FROM node
   UNION
   SELECT nextid, objectid, nodeid, NAME, soft_val
     FROM node;

----------------
--DROP SEQUENCE SQ_ADDRESS;

CREATE SEQUENCE SQ_ADDRESS
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;
-------------------------
--DROP SEQUENCE SQ_BELL;

CREATE SEQUENCE SQ_BELL
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;
-------------------------
--DROP SEQUENCE SQ_BLANK;

CREATE SEQUENCE SQ_BLANK
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;

-------------------------------
--DROP SEQUENCE SQ_DISP;

CREATE SEQUENCE SQ_DISP
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;

--------------------------------
--DROP SEQUENCE SQ_KND_ABN;

CREATE SEQUENCE SQ_KND_ABN
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

---------------------------------
--DROP SEQUENCE SQ_KND_DMG;

CREATE SEQUENCE SQ_KND_DMG
  START WITH 62
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;
---------------------------------
--DROP SEQUENCE SQ_KND_EQUIP;

CREATE SEQUENCE SQ_KND_EQUIP
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;
-------------------------------
--DROP SEQUENCE SQ_KND_OBJ;

CREATE SEQUENCE SQ_KND_OBJ
  START WITH 10
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

--------------------------------
--DROP SEQUENCE SQ_KND_TYPE;

CREATE SEQUENCE SQ_KND_TYPE
  START WITH 12
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

---------------------------------
--DROP SEQUENCE SQ_LIGHT;

CREATE SEQUENCE SQ_LIGHT
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;

-----------------------
--DROP SEQUENCE SQ_LINK;

CREATE SEQUENCE SQ_LINK
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

--------------------------
--DROP SEQUENCE SQ_NODE;

CREATE SEQUENCE SQ_NODE
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

------------------------------
--DROP SEQUENCE SQ_PEOPLE;

CREATE SEQUENCE SQ_PEOPLE
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;

--------------------------------
--DROP SEQUENCE SQ_RANGER;

CREATE SEQUENCE SQ_RANGER
  START WITH 2
  MAXVALUE 999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  CACHE 20
  NOORDER;

----------------------------------
--DROP SEQUENCE SQ_STREET;

CREATE SEQUENCE SQ_STREET
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

-----------------------------------
Insert into KND_ABN
   (KNDABNID, NAME, PHONE, F_OUR)
 Values
   (-1, NULL, NULL, 'F');

-------------
Insert into KND_DMG
   (DAMAGEID, NAME)
 Values
   (-1, ' ');

---------

Insert into KND_EQUIP
   (KINDEQID, NAME)
 Values
   (-1, NULL);
----------
Insert into KND_OBJ
   (KINDID, NAME, F_LINK, F_PICT, F_EQUIPT, 
    F_LINETP, F_LINERP)
 Values
   (7, '', 'F', 'T', 'F', 
    'F', 'F');
Insert into KND_OBJ
   (KINDID, NAME, F_LINK, F_PICT, F_EQUIPT, 
    F_LINETP, F_LINERP)
 Values
   (5, '', 'T', 'T', 'T', 
    'F', 'F');
Insert into KND_OBJ
   (KINDID, NAME, F_LINK, F_PICT, F_EQUIPT, 
    F_LINETP, F_LINERP)
 Values
   (6, '', 'T', 'T', 'F', 
    'F', 'F');
Insert into KND_OBJ
   (KINDID, NAME, F_LINK, F_PICT, F_EQUIPT, 
    F_LINETP, F_LINERP)
 Values
   (1, '', 'F', 'T', 'T', 
    'F', 'F');
Insert into KND_OBJ
   (KINDID, NAME, F_LINK, F_PICT, F_EQUIPT, 
    F_LINETP, F_LINERP)
 Values
   (2, '', 'F', 'T', 'F', 
    'F', 'T');
Insert into KND_OBJ
   (KINDID, NAME, F_LINK, F_PICT, F_EQUIPT, 
    F_LINETP, F_LINERP)
 Values
   (3, '', 'T', 'T', 'T', 
    'F', 'F');
Insert into KND_OBJ
   (KINDID, NAME, F_LINK, F_PICT, F_EQUIPT, 
    F_LINETP, F_LINERP)
 Values
   (4, ' ', 'F', 'T', 'F', 
    'T', 'F');
Insert into KND_OBJ
   (KINDID, NAME, F_LINK, F_PICT, F_EQUIPT, 
    F_LINETP, F_LINERP)
 Values
   (-1, ' ', 'F', 'T', 'F', 
    'F', 'F');
-----------------
Insert into KND_TYPE
   (TYPEID, NAME)
 Values
   (1, '');
Insert into KND_TYPE
   (TYPEID, NAME)
 Values
   (2, '');
Insert into KND_TYPE
   (TYPEID, NAME)
 Values
   (3, '');
Insert into KND_TYPE
   (TYPEID, NAME)
 Values
   (10, '');
Insert into KND_TYPE
   (TYPEID, NAME)
 Values
   (-1, ' ');
Insert into KND_TYPE
   (TYPEID, NAME)
 Values
   (11, ' ');
-------------
Insert into LIGHT
   (LIGHTID, LIGHTNUMBER)
 Values
   (-1, NULL);
-------------
Insert into LINK
   (OBJECTID, NAME, KINDID, NEXTID, OWNER, 
    STREETID, HOUSE, TYPEID, PICTUREID, OBJECT_PATH, 
    NAME_PATH)
 Values
   (-1, NULL, -1, -1, NULL, 
    -1, NULL, -1, -1, NULL, 
    NULL);
-----------------
Insert into PEOPLE
   (PEOPLEID, NAME, FLAT, PHONE)
 Values
   (-1, NULL, NULL, NULL);
--------------
Insert into RANGER
   (RANGERID, NAME)
 Values
   (-1, NULL);
----------------
Insert into STREET
   (STREETID, NAME, POS_)
 Values
   (-1, NULL, NULL);
------------------
