INSERT INTO SCRIPT_HISTORY ( PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
	 'UPDATE_00055.sql - ', -- 
	 '6.0.2 01.10.2008', 
	 '.    '); 
COMMIT;


CREATE TABLE DEFECTS
(
  ID_DEFECTS    INTEGER,
  ID_PODRAZD    INTEGER,
  ID_GROUP      INTEGER,
  ID_OBORUD     INTEGER,
  DATE_VOZN     DATE,
  MESTO         VARCHAR2(200 BYTE),
  SROK_REGIM    DATE,
  SROK_SLUGB    DATE,
  SROK_FACT     DATE,
  PRICHINA      VARCHAR2(100 BYTE),
  COLOR         INTEGER,
  SROCHNO       INTEGER,
  NOM           INTEGER,
  D_BEGIN_EDIT  DATE,
  HWO_EDIT      VARCHAR2(20 BYTE),
  DEL_PROP      NUMBER                          DEFAULT 0,
  ELIMINATED    NUMBER                          DEFAULT 0,
  ID_REASONS    VARCHAR2(30 BYTE)
);

COMMENT ON COLUMN DEFECTS.ELIMINATED IS '';


CREATE TABLE DEFECT_GROUP
(
  ID_GROUP    INTEGER,
  GROUP_NAME  VARCHAR2(80 BYTE),
  DEL_PROP    INTEGER                           DEFAULT 0
);

COMMENT ON COLUMN DEFECT_GROUP.DEL_PROP IS '  ';


CREATE TABLE DEFECT_GR_IN_PD
(
  ID_PODRAZD  INTEGER,
  ID_GROUP    INTEGER
);


CREATE TABLE DEFECT_OBORUD
(
  ID_OBORUD    INTEGER,
  OBORUD_NAME  VARCHAR2(80 BYTE),
  DEL_PROP     INTEGER                          DEFAULT 0
);


CREATE TABLE DEFECT_OB_IN_GR
(
  ID_GROUP    INTEGER,
  ID_OBORUD   INTEGER,
  ID_PODRAZD  INTEGER
);


CREATE TABLE DEFECT_PODRAZD
(
  ID_PODRAZD    INTEGER,
  PODRAZD_NAME  VARCHAR2(80 BYTE),
  DEL_PROP      INTEGER                         DEFAULT 0
);


CREATE TABLE DPZ_DEFECTS_QUALIFIER
(
  ID_CLASS    INTEGER,
  NAME_CLASS  VARCHAR2(100 BYTE)
);


CREATE TABLE DPZ_DEFECTS_REASON
(
  ID_REASON    INTEGER,
  ID_CLASS     INTEGER,
  NAME_REASON  VARCHAR2(100 BYTE)
);


CREATE TABLE DPZ_FIELD_NAME
(
  ID_PROGRAMM  INTEGER,
  FIELD_NAME   VARCHAR2(60 BYTE),
  OBJECT_NAME  VARCHAR2(60 BYTE)
);


CREATE TABLE DPZ_GROUP_FOR_PROG
(
  ID_PROGRAMM  INTEGER                          DEFAULT 0,
  ID_GROUP     INTEGER                          DEFAULT 0,
  GROUP_NAME   VARCHAR2(20 BYTE)
);


CREATE TABLE DPZ_GROUP_FOR_USER
(
  TABNUM       INTEGER,
  ID_GROUP     INTEGER,
  ID_PROGRAMM  INTEGER
);


CREATE TABLE DPZ_OBL_E
(
  ID_OBL_E     INTEGER,
  NAME_OBL_E   VARCHAR2(60 BYTE),
  ID_SYSTEM_E  INTEGER
);


CREATE TABLE DPZ_PROGRAMMEXE
(
  ID_PROGRAMMEXE  INTEGER                       NOT NULL,
  PRNAME          VARCHAR2(50 BYTE)             NOT NULL,
  PRALIAS         VARCHAR2(60 BYTE),
  PRDATE_TIME     DATE,
  PRCOD           LONG RAW
);


CREATE TABLE DPZ_PROG_FOR_USER
(
  TABNUM       INTEGER,
  ID_PROGRAMM  INTEGER
);


CREATE TABLE DPZ_PROP_FOR_GROUP
(
  ID_PROGRAMM  INTEGER,
  ID_GROUP     INTEGER,
  ID_PROP      INTEGER
);


CREATE TABLE DPZ_PROP_FOR_PROG
(
  ID_PROP      INTEGER,
  ID_PROGRAMM  INTEGER,
  PROP_NAME    VARCHAR2(30 BYTE),
  PROP_ALIAS   VARCHAR2(100 BYTE),
  FORM_NAME    VARCHAR2(30 BYTE),
  PROP_TYPE    VARCHAR2(15 BYTE)
);


CREATE TABLE DPZ_PROTOKOL
(
  ID_PROGRAMM  INTEGER,
  ID_USER      INTEGER,
  FIELD_NAME   VARCHAR2(60 BYTE),
  DATE_CHANGE  DATE                             DEFAULT SYSDATE,
  ID_ZAYVKI    INTEGER,
  OLD_VALUE    VARCHAR2(1000 BYTE),
  NEW_VALUE    VARCHAR2(1000 BYTE)
);


CREATE TABLE DPZ_SERVICES
(
  ID_SERVICE    INTEGER                         NOT NULL,
  NAME_SERVICE  VARCHAR2(10 BYTE),
  FULL_NAME     VARCHAR2(30 BYTE)
);


CREATE TABLE DPZ_SYSTEM_E
(
  ID_SYSTEM_E    INTEGER,
  NAME_SYSTEM_E  VARCHAR2(60 BYTE)
);


CREATE TABLE DPZ_USER_PSW
(
  TABNUM         NUMBER                         NOT NULL,
  ALLNAME        VARCHAR2(30 BYTE),
  NAME           VARCHAR2(20 BYTE),
  PWD            VARCHAR2(10 BYTE),
  SHEMA          NUMBER                         DEFAULT 0,
  BMMESSAGE      VARCHAR2(1 BYTE)               DEFAULT 'T',
  BMREGL         VARCHAR2(1 BYTE)               DEFAULT 'F',
  BMSOUND        VARCHAR2(1 BYTE)               DEFAULT 'F',
  BMCHWIND       VARCHAR2(1 BYTE)               DEFAULT 'F',
  BMZKLTOP       VARCHAR2(1 BYTE)               DEFAULT 'T',
  BMGOTOMESSAGE  VARCHAR2(1 BYTE)               DEFAULT 'F',
  GROUPID        NUMBER                         DEFAULT 0,
  IPADR          VARCHAR2(255 BYTE),
  WENABLED       VARCHAR2(1 BYTE)               DEFAULT 'T',
  IP             VARCHAR2(15 BYTE)
);


CREATE TABLE POWERCUTS
(
  ID_POWERCUTS    INTEGER,
  ID_GRRES        INTEGER,
  ID_RES          INTEGER,
  SPECIES         INTEGER,
  DATE_TIME_OFF   DATE,
  DATE_TIME_ON    DATE,
  NAME_PODST      VARCHAR2(100 BYTE),
  NAME_RP_TP      VARCHAR2(100 BYTE),
  FIDER           VARCHAR2(100 BYTE),
  REGION_OFF      VARCHAR2(200 BYTE),
  REASON          VARCHAR2(150 BYTE),
  POWER_NOT_GIVE  NUMBER(15,3),
  DEL_PROP        NUMBER                        DEFAULT 0,
  HWO_EDIT        VARCHAR2(20 BYTE),
  D_BEGIN_EDIT    DATE
);


CREATE TABLE POWERCUT_GRRES
(
  ID_GRRES     INTEGER,
  NAME_GRRES   VARCHAR2(40 BYTE),
  DEL_PROP     INTEGER                          DEFAULT 0,
  CREATE_DATE  DATE,
  DELETE_DATE  DATE
);


CREATE TABLE POWERCUT_QUALIFIER_REASON
(
  ID_REASON    INTEGER,
  REASON_NAME  VARCHAR2(150 BYTE),
  ID_TABLE     INTEGER,
  ID_TYPE      INTEGER
);


CREATE TABLE POWERCUT_QUALIFIER_TABLE
(
  ID_TABLE    INTEGER,
  TABLE_NAME  VARCHAR2(100 BYTE)
);


CREATE TABLE POWERCUT_QUALIFIER_TYPE
(
  ID_TYPE    INTEGER,
  TYPE_NAME  VARCHAR2(100 BYTE),
  ID_TABLE   INTEGER
);


CREATE TABLE POWERCUT_RES
(
  ID_RES       INTEGER,
  NAME_RES     VARCHAR2(40 BYTE),
  DEL_PROP     INTEGER                          DEFAULT 0,
  CREATE_DATE  DATE,
  DELETE_DATE  DATE
);


CREATE TABLE POWERCUT_RES_IN_GR
(
  ID_GRRES     INTEGER,
  ID_RES       INTEGER,
  DEL_PROP     INTEGER                          DEFAULT 0,
  CREATE_DATE  DATE,
  DELETE_DATE  DATE
);


CREATE TABLE ZAYAVKI_MAILINI
(
  IP_POP_SERVER  VARCHAR2(30 BYTE),
  POP_USER       VARCHAR2(30 BYTE),
  POP_PASSWORD   VARCHAR2(30 BYTE),
  DIR_SAVE       VARCHAR2(100 BYTE)
);


CREATE TABLE ZAYVKI
(
  ID_ZAYVKI          INTEGER,
  LIST_NUMBER        INTEGER,
  REG_NUMBER         NUMBER                     DEFAULT 0,
  OT_DATE            DATE,
  VID                INTEGER,
  ES                 VARCHAR2(40 BYTE),
  UTVERGDENA         VARCHAR2(40 BYTE),
  ELECTROUST         VARCHAR2(80 BYTE),
  OBORUDOVANIE       VARCHAR2(200 BYTE),
  CHARACTER_REMONTA  VARCHAR2(400 BYTE),
  ZAPROS_DT_BEGIN    DATE,
  ZAPROS_DT_END      DATE,
  PODAL              VARCHAR2(80 BYTE),
  MERY               VARCHAR2(800 BYTE),
  COMMENTARY         VARCHAR2(1000 BYTE),
  DOST_MERY          VARCHAR2(40 BYTE),
  SOGL_DS            VARCHAR2(100 BYTE),
  SOGL_SPS           VARCHAR2(100 BYTE),
  SOGL_SL            VARCHAR2(100 BYTE),
  SOGL_SRZA          VARCHAR2(100 BYTE),
  SOGL_SI            VARCHAR2(100 BYTE),
  SOGL_MS            VARCHAR2(100 BYTE),
  SOGL_SSDTU         VARCHAR2(100 BYTE),
  CONDITION          INTEGER,
  HWO_RAZRESHIL      VARCHAR2(80 BYTE),
  RAZR_DT_BEG        DATE,
  RAZR_DT_END        DATE,
  ZAYV_OPEN          DATE,
  ZAYV_CLOSE         DATE,
  DISP_OPEN          VARCHAR2(40 BYTE),
  DISP_CLOSE         VARCHAR2(40 BYTE),
  PRODL_DT_DO        DATE,
  PRODL_REASON       VARCHAR2(80 BYTE),
  PERENOS_DT_BEG     DATE,
  PERENOS_DT_END     DATE,
  PERENOS_REASON     VARCHAR2(80 BYTE),
  REMOVING_DT        DATE,
  REMOVING_DISP      VARCHAR2(40 BYTE),
  REMOVING_REASON    VARCHAR2(80 BYTE),
  NOTE_DISP          VARCHAR2(80 BYTE),
  OPEN_CLOSE         INTEGER,
  DEL_PROP           INTEGER,
  FREE_BUSY          INTEGER,
  USER_              INTEGER,
  VAG                VARCHAR2(15 BYTE),
  REASON             VARCHAR2(300 BYTE),
  OR_DT_ON           VARCHAR2(40 BYTE),
  RAJON              VARCHAR2(3500 BYTE),
  REG_NO_YES         NUMBER                     DEFAULT 0,
  REG_DATE           DATE                       DEFAULT SYSDATE,
  WHEN_RAZRESHL      DATE,
  WHEN_PERENES       DATE,
  WHEN_OTKAZAL       DATE,
  SOGL_ASKUE         VARCHAR2(100 BYTE),
  HWO_EDIT           VARCHAR2(60 BYTE)
);


CREATE UNIQUE INDEX ZAYVKI_PK ON ZAYVKI
(ID_ZAYVKI);

CREATE SEQUENCE S_ZAYVKI
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_REPORT_DISP
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_POWERCUT_RES
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_POWERCUT_GRRES
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_POWERCUTS_GOR
  START WITH 1
  MAXVALUE 99999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_POWERCUTS
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_DEFECT_PODRAZD
  START WITH 1
  MAXVALUE 999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_DEFECT_OBORUD
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_DEFECT_GROUP
  START WITH 1
  MAXVALUE 999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_DEFECTS_QUALIFIER
  START WITH 1
  MAXVALUE 9999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_DEFECTS
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE OR REPLACE TRIGGER DEFECTS_INSERT
 BEFORE INSERT ON DEFECTS
FOR EACH ROW
BEGIN
   Select S_DEFECTS.NextVal into :NEW.ID_DEFECTS from dual;
END DEFECTS_INSERT;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER DEFECTS_QUALIFIER_BI
BEFORE INSERT
ON DPZ_DEFECTS_QUALIFIER
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
BEGIN
END DEFECTS_QUALIFIER_BI;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER POWERCUTS_GOR_INSERT
 BEFORE INSERT ON POWERCUTS_GOR
FOR EACH ROW
BEGIN
   Select S_POWERCUTS_GOR.NextVal into :NEW.ID_POWERCUTS from dual;
END POWERCUTS_GOR_INSERT;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER POWERCUTS_INSERT
 BEFORE INSERT ON POWERCUTS
FOR EACH ROW
BEGIN
   Select S_POWERCUTS.NextVal into :NEW.ID_POWERCUTS from dual;
END POWERCUTS_INSERT;
/
SHOW ERRORS;



CREATE OR REPLACE TRIGGER POWERCUT_GRRES_INSERT 
 BEFORE INSERT ON POWERCUT_GRRES
 FOR EACH ROW
BEGIN
  Select S_POWERCUT_GRRES.NextVal into :NEW.ID_GRRES from dual;
END POWERCUT_GRRES_INSERT;
/
SHOW ERRORS;

ALTER TRIGGER POWERCUT_GRRES_INSERT DISABLE;



CREATE OR REPLACE TRIGGER POWERCUT_RES_INSERT 
 BEFORE INSERT ON POWERCUT_RES
 FOR EACH ROW
BEGIN
  Select S_POWERCUT_RES.NextVal into :NEW.ID_RES from dual;
END POWERCUT_RES;
/
SHOW ERRORS;

ALTER TRIGGER POWERCUT_RES_INSERT DISABLE;



CREATE OR REPLACE TRIGGER ZAYVKI_INSERT
 BEFORE INSERT ON ZAYVKI
 FOR EACH ROW
BEGIN
   Select S_ZAYVKI.NextVal into :NEW.ID_ZAYVKI from dual;
END ZAYVKI_INSERT;
/
SHOW ERRORS;



ALTER TABLE DPZ_PROGRAMMEXE ADD (
  PRIMARY KEY
 (PRNAME)
);


ALTER TABLE ZAYVKI ADD (
  CONSTRAINT ZAYVKI_PK
 PRIMARY KEY
 (ID_ZAYVKI)
);

