INSERT INTO SCRIPT_HISTORY ( PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
	 'UPDATE_00080.sql - ', -- 
	 '6.0.2 25.03.2010', 
	 ', .  TMA_TU, SHADOW_MAIN, INSTR,  PAR_TS_CHECK.');
--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ALTER TABLE TMA_TU ADD (DISABLE_TU INTEGER);

ALTER TABLE SHADOW_MAIN ADD (F_SW_LOCK NUMBER(1));

CREATE OR REPLACE PROCEDURE UPDATE_SHADOW(D_T Date) IS
--PRAGMA AUTONOMOUS_TRANSACTION;
/******************************************************************************
   NAME:       UPDATE_SHADOW
   PURPOSE:      MAIN

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        21.02.01      BOB            1. Created this procedure.
   1.1        26.03.10         1.   F_SW_LOCK
   
   PARAMETERS:
   CALLED BY: BACK_WORK;
   CALLS:  U_REPL_SHADOW;
   EXAMPLE USE:     UPDATE_SHADOW;
   ASSUMPTIONS:
   LIMITATIONS:
   ALGORITHM:  SHADOW_MAIN   MAIN
   NOTES:
******************************************************************************/
BEGIN
-- execute immediate 'truncate table shadow_main';
  DELETE FROM SHADOW_MAIN;
  INSERT INTO SHADOW_MAIN
  (
  TMA,
  HARD_DATE_TIME,
  SOFT_VAL,
  COLOR_,
  QUALITY,
  F_HAND,
  F_HOUR,
  F_WRITING,
  DATE_END,
  COUNT_ON_OFF,
  MAX_ON_OFF,
  ACT_TIME,
  F_SW_LOCK
  )
  SELECT
  TMA,
  HARD_DATE_TIME,
  SOFT_VAL,
  COLOR_,
  QUALITY,
  F_HAND,
  F_HOUR,
  F_WRITING,
  DATE_END,
  COUNT_ON_OFF,
  MAX_ON_OFF,
  ACT_TIME,
  F_SW_LOCK
  FROM MAIN;
  UPDATE SHADOW_REPL_INI SET TIME_=D_T;
END UPDATE_SHADOW;
/

ALTER TABLE "INSTR" ADD (NAME_INSTR VARCHAR2(100 BYTE));

CREATE TABLE PAR_TS_CHECK
(
  PAR_TAG       INTEGER,
  NAME_PAR_TAG  VARCHAR2(30 BYTE)
);

COMMIT;