INSERT INTO SCRIPT_HISTORY (PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
	 'UPDATE_00088.sql - ', -- 
	 '6.0.2 16.09.2010', 
	 '.     .'); 
--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

CREATE TABLE GEN_ALARM_CONTENT
(
  TMA         VARCHAR2(10 BYTE)   NOT NULL,
  CONTENT     VARCHAR2(10 BYTE)   NOT NULL,
  TYPE        NUMBER(1)           NOT NULL
);

CREATE OR REPLACE FUNCTION IS_GEN_ALARM (ATMA VARCHAR2) RETURN NUMBER IS
/***************************************************************************
 ,   " "   ,
        
***************************************************************************/
   IS_ALARM NUMBER;
BEGIN
/*
  SELECT NVL((SELECT 1 FROM MAIN, SHEMA
                 WHERE MAIN.TMA=SHEMA.TMA AND
           MAIN.SOFT_VAL<>SHEMA.SOFT_VAL AND
        MAIN.TMA IN (SELECT CONTENT FROM GEN_ALARM_CONTENT
                        WHERE TMA=ATMA AND TYPE=0)
              UNION
              SELECT 1 FROM MAIN
        WHERE COLOR_=1 AND
        MAIN.TMA IN (SELECT CONTENT FROM GEN_ALARM_CONTENT
                        WHERE TMA=ATMA AND TYPE=1)
             ),0) INTO IS_ALARM FROM DUAL;
  RETURN IS_ALARM;     
*/  
  SELECT MAX(SC) INTO IS_ALARM FROM ( 
    SELECT SOFT_VAL SC FROM MAIN WHERE MAIN.TMA IN 
      (SELECT CONTENT FROM GEN_ALARM_CONTENT WHERE TMA=ATMA AND TYPE=0)
                          UNION                   
    SELECT (CASE
               WHEN (SOFT_VAL > U_MAX) OR (SOFT_VAL < U_MIN) THEN 1
               ELSE 0
            END) SC FROM MAIN WHERE  MAIN.TMA IN 
      (SELECT CONTENT FROM GEN_ALARM_CONTENT WHERE TMA=ATMA AND TYPE=1)
    );  
  RETURN IS_ALARM;     
  
END IS_GEN_ALARM;
/

CREATE OR REPLACE PROCEDURE UPDATE_GEN_ALARM (
    ATMA VARCHAR2,
 CUR_VAL NUMBER,
 D_T DATE) IS
/*********************************************************
    " "
*********************************************************/
   IS_ALARM NUMBER;   
BEGIN
   IS_ALARM := IS_GEN_ALARM(ATMA);  
   IF CUR_VAL <> IS_ALARM THEN 
      ACCEPT_VAL(D_T,ATMA,IS_ALARM,'F',False);
   END IF;   
END UPDATE_GEN_ALARM;
/

CREATE OR REPLACE PROCEDURE UPDATE_GEN_ALARMS IS
/*********************************************************
    " "
*********************************************************/
   CURSOR AlarmObjectCur IS
      SELECT TMA, SOFT_VAL FROM MAIN WHERE KIND=89;
   IS_ALARM NUMBER;   
BEGIN
   FOR AlarmObject IN AlarmObjectCur LOOP
      IS_ALARM := IS_GEN_ALARM(AlarmObject.TMA);  
      IF AlarmObject.SOFT_VAL <> IS_ALARM THEN 
         ACCEPT_VAL(SYSDATE,AlarmObject.TMA,IS_ALARM,'F',False);
      END IF;   
   END LOOP; 
END UPDATE_GEN_ALARMS;
/
			
COMMIT;