DELETE FROM SCRIPT_HISTORY WHERE SCRIPT_VERSION='UPDATE_00098.sql - ';
INSERT INTO SCRIPT_HISTORY (PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
     'UPDATE_00098.sql - ', -- 
     '6.0.2 11.07.2011, 15.09.2014', 
     '.  '); 
--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


---   ------------------------------------------------------

--ALTER TABLE LIMIT_RANGE
--  DROP PRIMARY KEY CASCADE;

--DROP TABLE LIMIT_RANGE CASCADE CONSTRAINTS;

CREATE TABLE LIMIT_RANGE
(
  TMA           VARCHAR2(10 BYTE),
  CRITERION     NUMBER,
  MIN_ALRM      NUMBER,
  MIN_NOM       NUMBER,
  MAX_NOM       NUMBER,
  MAX_ALRM      NUMBER
);

CREATE UNIQUE INDEX PK_LIMIT_RANGE ON LIMIT_RANGE
(TMA, CRITERION);

ALTER TABLE LIMIT_RANGE ADD (
  CONSTRAINT PK_LIMIT_RANGE
    PRIMARY KEY (TMA, CRITERION));
    
---     -----------------------------

--DROP TABLE DYN_LIMIT;
CREATE TABLE DYN_LIMIT
(
  TMA           VARCHAR2(10 BYTE),
  CRIT_TMA      VARCHAR2(10 BYTE)
);

--DROP INDEX DYN_LIMIT_TMA;
CREATE INDEX DYN_LIMIT_TMA ON DYN_LIMIT (TMA);
--DROP INDEX DYN_LIMIT_CRIT;
CREATE INDEX DYN_LIMIT_CRIT ON DYN_LIMIT (CRIT_TMA);

--  CAT_OIK   
DELETE FROM CAT_OIK
  WHERE TBL_NAME IN ('LIMIT_RANGE','DYN_LIMIT');
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('LIMIT_RANGE', '*', 1, 1, -1, 
    26, 5, NULL, 3);
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('DYN_LIMIT', '*', 1, 1, -1, 
    27, 5, NULL, 3);
    
---    -----------------------------------------

CREATE OR REPLACE PROCEDURE REFR_LIMITS
    ( ATMA      VARCHAR2       -- ,   , '*' -  
    , ACRIT_TMA VARCHAR2       --  -
    , ACOMMIT   BOOLEAN        --  
    ) IS
BEGIN
   IF ATMA = '*' THEN
      UPDATE MAIN SET
        (U_MIN, U_MAX, ACT_TIME) = 
          (SELECT MIN_NOM, MAX_NOM, SYSDATE
            FROM LIMIT_RANGE
              WHERE TMA = MAIN.TMA
                AND CRITERION=NVL(
                   (SELECT MIN(CRITERION) FROM LIMIT_RANGE
                     WHERE TMA=MAIN.TMA AND CRITERION>=
                       (SELECT SOFT_VAL FROM MAIN WHERE TMA=ACRIT_TMA)),
                   (SELECT MAX(CRITERION) FROM LIMIT_RANGE
                     WHERE TMA=MAIN.TMA)                      
                  )  
          )
        WHERE TMA IN
          (SELECT TMA FROM DYN_LIMIT
            WHERE CRIT_TMA=ACRIT_TMA);
   ELSE            
      UPDATE MAIN SET
        (U_MIN, U_MAX, ACT_TIME) = 
          (SELECT MIN_NOM, MAX_NOM, SYSDATE
            FROM LIMIT_RANGE
              WHERE TMA = ATMA
                AND CRITERION=NVL(
                   (SELECT MIN(CRITERION) FROM LIMIT_RANGE
                     WHERE TMA=ATMA AND CRITERION>=
                       (SELECT SOFT_VAL FROM MAIN WHERE TMA=ACRIT_TMA)),
                   (SELECT MAX(CRITERION) FROM LIMIT_RANGE
                     WHERE TMA=ATMA)                      
                  )  
          )
        WHERE (TMA=ATMA) AND
          TMA IN (SELECT TMA FROM DYN_LIMIT
                   WHERE CRIT_TMA=ACRIT_TMA);
  END IF;                               
            
  IF ACOMMIT THEN
    COMMIT;
  END IF;
END REFR_LIMITS;
/    

---  ACCEPT_VAL -----------------------------------------------

CREATE OR REPLACE PROCEDURE ACCEPT_VAL
    ( D_T  DATE                       --  
    , ADR  VARCHAR2                   -- 
    , VAL  NUMBER                     -- 
    , FORCE VARCHAR2                  --     
    , NEEDSCALE BOOLEAN DEFAULT TRUE  --  ,   ,      SOFT_VAL
    , VALD  NUMBER DEFAULT 0          --      0
    , NEEDSCALED BOOLEAN DEFAULT TRUE --   ,   ,     
    , DTSTAMP TIMESTAMP DEFAULT  SYSDATE
 , TIMEPROTECTION NUMBER DEFAULT 0 --  
    ) IS

   PREC CONSTANT BINARY_INTEGER :=3; --  
   CUR  MAIN%ROWTYPE;
   OLD_VAL          NUMBER;
   DELTA_COUNT_HARD NUMBER;
   TEMP_TMA         VARCHAR2(10);  --  
   CNT              NUMBER;
   KIND             CHAR(1);    --  
   TEMP_SOFT        NUMBER;     ------------------------
   TEMP_LAST_ACTION NUMBER;     ------------------------
   TEMP_COLOR       NUMBER;     -- 
   TEMP_HARD        NUMBER;     -- 
   TEMP_COUNT       NUMBER;     --  
   TEMP_MIN         NUMBER;     --  MAIN
   TEMP_MAX         NUMBER;     --
   TEMP_QUALITY     NUMBER;     --
   ACTION_QUALITY   NUMBER;     --
   TEMP_HARD_TIME   DATE;       ------------------------
   P_D_T            DATE;
   CHESS_KVIT       NUMBER;     --    ""
BEGIN
    /*   
      9876543210
         0-
         1-   . 
         4-   
         5-   
         6-  
    */
  BEGIN
    KIND:=SUBSTR(adr,1,1);
    SELECT * INTO cur FROM main WHERE TMA=adr FOR UPDATE;
      EXCEPTION
        WHEN NO_DATA_FOUND THEN    --   
          RETURN;
  END;

  BEGIN
    SELECT VALUE_ INTO CHESS_KVIT FROM SYS_PARA WHERE NAME_='CHESS_KVIT';
      EXCEPTION
        WHEN NO_DATA_FOUND THEN    --   
          CHESS_KVIT:=0;
  END;


--  

    IF cur.KIND=200 AND SYSDATE<cur.ACT_TIME+3/(24*60) THEN
      RETURN;
    END IF;


-- QUALITY
    IF NEEDSCALED THEN
      IF VALD<=1 THEN
        TEMP_QUALITY:=BITWISE.B_SET(CUR.QUALITY,2,VALD); --     IGOR = Ͳ
      ELSE
        TEMP_QUALITY:=CUR.QUALITY; --    
      END IF;
      TEMP_QUALITY:=BITWISE.B_OR(BITWISE.B_AND(valD,16711680),BITWISE.B_AND(TEMP_QUALITY,65535)); --     101-104
      ACTION_QUALITY:=BITWISE.B_AND(valD,16711680);
    ELSE
      TEMP_QUALITY:=VALD;
      ACTION_QUALITY:=VALD;
    END IF;
    
-- HAND SOFTVALUE
    IF  ((cur.F_HAND>0)AND (NOT (FORCE='T')))   THEN   --        
      IF NEEDSCALE THEN
        UPDATE main SET ACT_TIME=D_T,QUALITY=0,HARD_VAL=val WHERE TMA=adr; --  
        COMMIT;
      END IF;
      RETURN;
    END IF;

    TEMP_SOFT :=cur.SOFT_VAL;
    TEMP_MIN :=cur.SOFT_MIN;
    TEMP_MAX :=cur.SOFT_MAX;
    TEMP_LAST_ACTION :=cur.LAST_ACTION;
    TEMP_COLOR :=cur.COLOR_;
    TEMP_HARD :=cur.HARD_VAL;
    TEMP_COUNT :=cur.COUNT_VAL;
    
-- SOFTVALUE
    IF NEEDSCALE THEN OLD_VAL:=CUR.HARD_VAL; TEMP_HARD:=VAL;
    ELSE              OLD_VAL:=CUR.SOFT_VAL;
    END IF;

    IF ((OLD_VAL<>ROUND(VAL,PREC)) OR (FORCE='T') ) OR cur.TIME_PROTECTION <> TIMEPROTECTION  THEN  ---  
--    IF ((OLD_VAL<>ROUND(VAL,PREC)) OR (FORCE='T') )  THEN  ---  
/***************************        ***********************************/
      IF ((KIND='0') OR (KIND='9')) THEN
        IF (OLD_VAL<>VAL) THEN
          IF NOT (CUR.MAX_ON_OFF IS NULL) THEN
            IF (CUR.MAX_ON_OFF>=CUR.COUNT_ON_OFF) THEN   --    4 !
              CUR.COUNT_ON_OFF:=CUR.COUNT_ON_OFF+1; --  
            END IF;
          END IF;
        END IF;
        IF NEEDSCALE THEN TEMP_SOFT:=ABS(VAL-CUR.SOFT_MIN);--  
        ELSE              TEMP_SOFT:=VAL;
        END IF;
        IF (TEMP_SOFT=1)  THEN
          IF (CUR.ACTION_ON >0) THEN
            IF (CHESS_KVIT=1) THEN
              INSERT INTO HOT_TMA(TMA, PAR_DATE_TIME) VALUES(ADR, DTSTAMP);
            END IF;
            TO_ACTION( D_T,ADR,TEMP_SOFT,CUR.ACTION_ON,CUR.COLOR_, ACTION_QUALITY, DTSTAMP, TIMEPROTECTION);
            TEMP_COLOR:=1;
            TEMP_LAST_ACTION:=CUR.ACTION_ON;
          END IF;
        ELSE
          IF (CUR.ACTION_OFF >0) THEN
            IF (CHESS_KVIT=1) THEN
              INSERT INTO HOT_TMA(TMA, PAR_DATE_TIME) VALUES(ADR, DTSTAMP);
            END IF;
            TO_ACTION( D_T,ADR,TEMP_SOFT,CUR.ACTION_OFF,CUR.COLOR_, ACTION_QUALITY, DTSTAMP, TIMEPROTECTION);
            TEMP_COLOR:=1;
            TEMP_LAST_ACTION:=CUR.ACTION_OFF;
          END IF;
        END IF;
        IF (CUR.F_WRITING='T') THEN
          OIK_BASE.TO_BASE(D_T,ADR,TEMP_SOFT,TEMP_QUALITY);
        END IF;
/***************************   **************************************************/
      ELSIF(KIND='1') OR (KIND='4') OR (KIND='8') OR (KIND='7')   THEN   --TIT,  , 
        IF NEEDSCALE THEN --  
          IF(KIND='1') AND (VAL=0) AND (CUR.SOFT_MIN>0) AND (CUR.SOFT_MAX>0) THEN --   VAL=0 -   !!!
            TEMP_SOFT:=VAL;
          ELSE
            TEMP_SOFT:=(CUR.SOFT_MIN*CUR.HARD_MAX-CUR.SOFT_MAX*CUR.HARD_MIN)/(CUR.HARD_MAX-CUR.HARD_MIN)+
                     ((CUR.SOFT_MAX-CUR.SOFT_MIN)/(CUR.HARD_MAX-CUR.HARD_MIN))*VAL;
          END IF;
          IF (VAL>CUR.HARD_MAX)OR(VAL<CUR.HARD_MIN) THEN  --    
            TEMP_QUALITY:=BITWISE.B_SET(TEMP_QUALITY,1,1);
          ELSE
            TEMP_QUALITY:=BITWISE.B_SET(TEMP_QUALITY,1,0);
          END IF;
        ELSE
          TEMP_SOFT:=VAL;
        END IF;

        TEMP_SOFT:=ROUND(TEMP_SOFT,Prec);
     /*----------    ------------------------------------------*/
        IF(CUR.F_DETAIL='T') THEN
          TO_DETAIL(D_T, ADR, TEMP_SOFT);
        END IF;
      --<<<<<<<<<<<<<<<<<<<  в   ղҲ <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
        IF D_T < TRUNC(SYSDATE,'MI') AND ADR LIKE '1%' THEN
          IF CUR.F_WRITING='T' THEN
            OIK_BASE.TO_BASE_VALUE(D_T, ADR, TEMP_SOFT, TEMP_QUALITY);
          END IF;
          IF CUR.F_HOUR='T' AND D_T<=C_AUTO_POINTS.LASTWRITE_HOUR_REP(SYSDATE-1/(24*3600)) THEN --  
            P_D_T:=C_AUTO_POINTS.LASTWRITE_HOUR_REP(D_T);
            DELETE FROM HOUR_REP WHERE TMA=ADR AND PAR_DATE_TIME=P_D_T;
            INSERT INTO HOUR_REP (TMA, PAR_VALUE, PAR_DATE_TIME, QUALITY     )
                          VALUES (ADR, TEMP_SOFT, P_D_T        , TEMP_QUALITY);
          END IF;
        END IF;
      -->>>>>>>>>>>>>>>>>>>  в   ղҲ >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
     /*-------------<<<                   >>>----------------------------------------*/
        IF(TEMP_SOFT<CUR.U_MIN) OR (TEMP_SOFT>CUR.U_MAX) THEN  --- HANDLING_ ACTION
          IF(CUR.COLOR_<>1) THEN
            TEMP_COLOR:=1;
            IF (CUR.ACTION_ON >0) THEN
              IF (CHESS_KVIT=1) THEN
                INSERT INTO HOT_TMA(TMA, PAR_DATE_TIME) VALUES(ADR, DTSTAMP);
              END IF;
              TO_ACTION( D_T,ADR,TEMP_SOFT,CUR.ACTION_ON,1, ACTION_QUALITY,DTSTAMP);
              TEMP_LAST_ACTION:=CUR.ACTION_ON;
            END IF;
          END IF;
        ELSE
          IF(CUR.COLOR_<>0) THEN
            TEMP_COLOR:=0;
            IF (CUR.ACTION_OFF >0) THEN
              IF (CHESS_KVIT=1) THEN
                INSERT INTO HOT_TMA(TMA, PAR_DATE_TIME) VALUES(ADR, DTSTAMP);
              END IF;
              TO_ACTION(D_T,ADR,TEMP_SOFT,CUR.ACTION_OFF,0, ACTION_QUALITY,DTSTAMP);
              TEMP_LAST_ACTION:=CUR.ACTION_OFF;
            END IF;
          END IF;
        END IF;
/***************************   **************************************************************/
      ELSIF /*(kind='2')or */ (kind='6')   THEN            -- , 
        IF (TEMP_MIN=0) THEN TEMP_MIN:=1;
        END IF;
        IF NEEDSCALE THEN --  
          IF(CUR.COUNT_VAL<=VAL) THEN     --   0
            TEMP_SOFT:=CUR.SOFT_VAL+(VAL-CUR.COUNT_VAL)*CUR.SOFT_MAX*TEMP_MIN;
          ELSE
            TEMP_SOFT:=CUR.SOFT_VAL+(256+VAL-CUR.COUNT_VAL)*CUR.SOFT_MAX*TEMP_MIN;
          END IF;
          TEMP_COUNT:=VAL;
        ELSE
          TEMP_SOFT:=val;
          UPDATE MAIN SET ACT_TIME=SYSDATE
          WHERE TMA=ADR;
        END IF;
        TEMP_SOFT:=ROUND(TEMP_SOFT,Prec);
/***************************   **************************************************************/
      ELSIF (kind='2') /* or (kind='6') */ THEN   --  maz
/*  hard_min       = 1
    hard_max   max -           = 16777216
    soft_min    ?  = 1
 soft_max    `               = 1

    TEMP_SOFT  := cur.SOFT_VAL;         
    TEMP_MIN   := cur.SOFT_MIN;        ?  = 1
    TEMP_COUNT := cur.COUNT_VAL;        
*/
        IF (TEMP_MIN=0) THEN TEMP_MIN:=1;
        END IF;
        IF (TEMP_MAX=0) THEN TEMP_MAX:=1;
        END IF;

        IF NEEDSCALE THEN  --  
          IF (CUR.HARD_VAL >= TEMP_HARD) AND (CUR.HARD_VAL <= (TEMP_HARD + CUR.HARD_MIN)) THEN  --  
            DELTA_COUNT_HARD := 0;
          ELSIF (CUR.HARD_VAL > TEMP_HARD) THEN  --   0 VAL
            DELTA_COUNT_HARD := TEMP_HARD + (CUR.HARD_MAX - CUR.HARD_VAL);
        ELSE
          DELTA_COUNT_HARD := TEMP_HARD - CUR.HARD_VAL;
        END IF;
        TEMP_COUNT := TEMP_COUNT + DELTA_COUNT_HARD;
        TEMP_SOFT := TEMP_COUNT * TEMP_MAX * TEMP_MIN;

        SELECT Count(*) into CNT
          FROM   DIFFERENC_TMA
            WHERE  DIFFERENC_TMA.D_TMA = adr;

        IF (CNT > 0) THEN
          SELECT DIFFERENC_TMA.TMA into TEMP_TMA
          FROM   DIFFERENC_TMA
          WHERE  DIFFERENC_TMA.D_TMA = adr;
          ACCEPT_VAL( D_T
                    , TEMP_TMA
                    , DELTA_COUNT_HARD * TEMP_MAX * TEMP_MIN/((D_T- CUR.HARD_DATE_TIME)*24)
                    , 'F'
                    , FALSE
                    , 0
                    );
        END IF;

        INSERT INTO C_HOUR_RAW (TMA,PAR_VALUE,FACTOR,PAR_DATE_TIME) VALUES (adr,TEMP_SOFT,1,D_T);

      ELSE
        TEMP_SOFT := VAL;  --MAZ
        SELECT COUNT(*) INTO CNT FROM   DIFFERENC_TMA
          WHERE  DIFFERENC_TMA.D_TMA = adr;
        IF (CNT > 0) THEN
          SELECT DIFFERENC_TMA.TMA into TEMP_TMA FROM   DIFFERENC_TMA
            WHERE  DIFFERENC_TMA.D_TMA = adr;
          Accept_Val( D_T
                    , TEMP_TMA
                    , TEMP_SOFT - cur.soft_val/((D_T- cur.hard_date_time)*24)
                    , 'F'
                    , FALSE
                    , 0
                    );
        END IF;
      END IF;
/*>>>>>>>>>>>>>>>> ֲֲ >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*/
      TEMP_SOFT  := ROUND(TEMP_SOFT,Prec);
    END IF; /********     *********/
  END IF; --- ( )

  UPDATE MAIN SET   HARD_VAL       = TEMP_HARD        , HARD_DATE_TIME = D_T
                  , SOFT_VAL       = TEMP_SOFT        , COLOR_         = TEMP_COLOR
                  , LAST_ACTION    = TEMP_LAST_ACTION , COUNT_VAL      = TEMP_COUNT
                  , QUALITY        = TEMP_QUALITY     , HARD_TIME      = DTSTAMP
                  , TIME_PROTECTION = TIMEPROTECTION
--                  , QUALITY        = TEMP_QUALITY     , HARD_TIME      = TEMP_HARD_TIME
                  , COUNT_ON_OFF   = CUR.COUNT_ON_OFF , ACT_TIME       = SYSDATE --   15.03.06
    WHERE TMA=ADR;

   IF (kind='0') THEN --
     ---  
     IF (OLD_VAL<>VAL) THEN
       REFR_SW_LOCK(ADR,False);
     END IF;
--   ELSIF (KIND='1') OR (KIND='4') OR (KIND='8') OR (KIND='7') THEN --TIT, ,      
     ---    
--     REFR_LIMITS('*',ADR,False);
   END IF;

  
   IF NEEDSCALE THEN --   SERIALIZABLE TRANSACTION
     COMMIT;
   END IF;

   IF (kind='9') or (cur.KIND='910') THEN   --  
     UPDATE_SERVICE (cur.KIND,adr,TEMP_SOFT,D_T);
   END IF;

   IF (CUR.F_ALTER='T') THEN --    
     FOR ALTER_REC IN (SELECT TMA_TO,DECODE(NVL(SIGNAL,'+'),'-',-1,1) S FROM HAND_ALTER WHERE TMA_FROM=ADR) LOOP
       ACCEPT_VAL(D_T,ALTER_REC.TMA_TO,TEMP_SOFT*ALTER_REC.S,'T',FALSE);
     END LOOP;
   END IF;

   EXCEPTION
     WHEN OTHERS THEN
     BEGIN
       SYS.DBMS_SYSTEM.KSDWRT(2,'################## Exception !!!!!!!!!!!#####################');
       SYS.DBMS_SYSTEM.KSDWRT(2,DBMS_UTILITY.FORMAT_ERROR_STACK());
     END;
END;
/

COMMIT;
