DELETE FROM SCRIPT_HISTORY WHERE SCRIPT_VERSION='UPDATE_00101.sql - ';
INSERT INTO SCRIPT_HISTORY (PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
     'UPDATE_00101.sql - ', -- 
     '6.0.2 22.07.2011', 
     ':  SHADOW_MAIN'); 
--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

---  SHADOW_MAIN ------------------------------------------------
ALTER TABLE SHADOW_MAIN 
  ADD (U_MIN  NUMBER  DEFAULT 0,
       U_MAX  NUMBER  DEFAULT 1);

CREATE OR REPLACE PROCEDURE UPDATE_SHADOW(D_T Date) IS
--PRAGMA AUTONOMOUS_TRANSACTION;
/******************************************************************************
   NAME:       UPDATE_SHADOW
   PURPOSE:      MAIN

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        21.02.01      BOB            1. Created this procedure.
   1.1        26.03.10         1.   F_SW_LOCK
   1.2        22.07.11         1.   U_MIN, U_MAX

   PARAMETERS:
   CALLED BY: BACK_WORK;
   CALLS:  U_REPL_SHADOW;
   EXAMPLE USE:     UPDATE_SHADOW;
   ASSUMPTIONS:
   LIMITATIONS:
   ALGORITHM: 
   NOTES:       SHADOW_MAIN   MAIN
******************************************************************************/
BEGIN
 execute immediate 'truncate table shadow_main reuse storage';
--  DELETE FROM SHADOW_MAIN;
--  TRUNCATE TABLE SHADOW_MAIN REUSE STORAGE;
  INSERT INTO SHADOW_MAIN
  (
  TMA,
  HARD_DATE_TIME,
  SOFT_VAL,
  COLOR_,
  QUALITY,
  F_HAND,
  F_HOUR,
  F_WRITING,
  DATE_END,
  COUNT_ON_OFF,
  MAX_ON_OFF,
  ACT_TIME,
  F_SW_LOCK,
  U_MIN,
  U_MAX
  )
  SELECT
  TMA,
  HARD_DATE_TIME,
  SOFT_VAL,
  COLOR_,
  QUALITY,
  F_HAND,
  F_HOUR,
  F_WRITING,
  DATE_END,
  COUNT_ON_OFF,
  MAX_ON_OFF,
  ACT_TIME,
  F_SW_LOCK,
  U_MIN,
  U_MAX
  FROM MAIN;
  --where not tma like '5%' ;
  UPDATE SHADOW_REPL_INI SET TIME_=D_T;
END UPDATE_SHADOW;
/

COMMIT;     