DELETE FROM SCRIPT_HISTORY WHERE SCRIPT_VERSION='UPDATE_00112.sql - ';
INSERT INTO SCRIPT_HISTORY (PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
     'UPDATE_00112.sql - ', -- 
     '7.0.1 08.01.2013', 
     '.    . .  SequSetNextVal'); 
--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

CREATE OR REPLACE PROCEDURE UPDATE_SERV_COUNTERS IS
/*********************************************************
  
*********************************************************/
CURSOR ServCountersCur IS
SELECT TMA, SOFT_VAL, (SELECT COUNT(*) FROM HOT_TMA, MAIN WHERE
         MAIN.CP = MAIN_T.CP AND MAIN.TMA=HOT_TMA.TMA
--          AND
--           DECODE(SUBSTR(HOT_TMA.TMA,1,1),0,0,9,0,1)=
--             DECODE(MAIN_T.KIND,891,0,892,1)
                 ) vCOUNT
   FROM MAIN MAIN_T
   WHERE (KIND=890 OR KIND=891 OR KIND=892) AND TMA LIKE '9%';
--   (1-  TMA = '8')     
BEGIN
   FOR ServCounterRec IN ServCountersCur LOOP
      IF ServCounterRec.SOFT_VAL <> ServCounterRec.vCOUNT THEN 
         ACCEPT_VAL(SYSDATE,ServCounterRec.TMA,ServCounterRec.vCOUNT,'F',False);
      END IF;      
   END LOOP; 
END UPDATE_SERV_COUNTERS;
/

CREATE OR REPLACE PROCEDURE SequSetNextVal(pSequName IN VARCHAR2,
   pNextVal IN INTEGER) IS
/******************************************************************************
   NAME:       SequSetNextVal
   PURPOSE:        ( NextVal)

   REVISIONS:
   Ver        Date        Author                Description
   ---------  ----------  --------------------  -------------------------------
   1.0        18.11.2009  1.  ..  Created this procedure.
   1.1        12.09.2011  1.  ..  Modify this procedure
   1.2        08.01.2012  1.  ..  Modify this procedure

   PARAMETERS:
   INPUT:
     pSequName .......................  
     pNextVal ........................    (NextVal)
   OUTPUT:
     []
   RETURNED VALUE:
     []
     
   EXAMPLE USE:
     SequSetNextVal('SQ_STREET', 156);               

   NOTES:

******************************************************************************/
vUserName   VARCHAR2(30);
vMinVal     NUMBER;
vMaxVal     NUMBER;
vIncrement  NUMBER;
vCacheSize  NUMBER;
vCacheExpr  VARCHAR2(16);
vCycleWord  VARCHAR2(7);
vOrderWord  VARCHAR2(7);
SQL_TEXT    VARCHAR2(200);

BEGIN
  SELECT USERNAME 
    INTO vUserName
      FROM ALL_USERS
        WHERE USER_ID=USERENV('SCHEMAID');

  SQL_TEXT := 'GRANT CREATE SEQUENCE TO '||vUserName;
-- ,   ,     :(
  EXECUTE IMMEDIATE SQL_TEXT;  

  SELECT MIN_VALUE, MAX_VALUE, INCREMENT_BY, CACHE_SIZE,
         DECODE(CYCLE_FLAG, 'N', 'NOCYCLE', 'Y', 'CYCLE'),
         DECODE(ORDER_FLAG, 'N', 'NOORDER', 'Y', 'ORDER')
    INTO vMinVal, vMaxVal, vIncrement, vCacheSize, vCycleWord, vOrderWord     
      FROM USER_SEQUENCES
        WHERE SEQUENCE_NAME = pSequName;
  IF vCacheSize < 2 THEN
    vCacheExpr := 'NOCACHE';
  ELSE
    vCacheExpr := 'CACHE '||TO_CHAR(vCacheSize);
  END IF; 

  SQL_TEXT := 'DROP SEQUENCE '||pSequName;
  EXECUTE IMMEDIATE SQL_TEXT;

  SQL_TEXT := 'CREATE SEQUENCE '||pSequName||
              ' INCREMENT BY '||TO_CHAR(vIncrement)||
              ' START WITH '||TO_CHAR(pNextVal)||
              ' MAXVALUE '||TO_CHAR(vMaxVal)||
              ' MINVALUE '||TO_CHAR(vMinVal)||
              ' '||vCycleWord||
              ' '||vCacheExpr||
              ' '||vOrderWord;
  EXECUTE IMMEDIATE SQL_TEXT;
  
END SequSetNextVal;
/

COMMIT;
