DELETE FROM SCRIPT_HISTORY WHERE SCRIPT_VERSION='UPDATE_00121.sql - ';
INSERT INTO SCRIPT_HISTORY (PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
     'UPDATE_00121.sql - ', -- 
     '7.0.2 03.07.2014', 
     ':   '); 
--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
--DROP TABLE TOPO_KINDS CASCADE CONSTRAINTS;
CREATE TABLE TOPO_KINDS
(
  KIND      VARCHAR2(1 BYTE)   UNIQUE NOT NULL,
  NAME      VARCHAR2(32 BYTE)  NOT NULL 
);

COMMENT ON TABLE TOPO_KINDS IS ' ';
COMMENT ON COLUMN TOPO_KINDS.KIND IS '';
COMMENT ON COLUMN TOPO_KINDS.NAME IS '';

INSERT INTO TOPO_KINDS
    (KIND, NAME)
 VALUES
    ('+', ' '); 
INSERT INTO TOPO_KINDS
    (KIND, NAME)
 VALUES
    ('-', ' '); 
INSERT INTO TOPO_KINDS
    (KIND, NAME)
 VALUES
    ('S', ' '); 
INSERT INTO TOPO_KINDS
    (KIND, NAME)
 VALUES
    ('E', ''); 
INSERT INTO TOPO_KINDS
    (KIND, NAME)
 VALUES
    ('G', '');
INSERT INTO TOPO_KINDS
    (KIND, NAME)
 VALUES
    ('A', ' '); 
INSERT INTO TOPO_KINDS
    (KIND, NAME)
 VALUES
    ('P', '');
INSERT INTO TOPO_KINDS
    (KIND, NAME)
 VALUES
    ('L', '');   
INSERT INTO TOPO_KINDS
    (KIND, NAME)
 VALUES
    ('B', '');
---------------------------------------------------------------------------                                             

--DROP TABLE TOPO_LINKS CASCADE CONSTRAINTS;
CREATE TABLE TOPO_LINKS
(
  CODE        VARCHAR2(41 BYTE)  NOT NULL,
  TMA         VARCHAR2(10 BYTE),
  IDMNEMO     NUMBER             NOT NULL,
  LOC_URI     NUMBER             NOT NULL,
  TOPO_KIND   VARCHAR2(1 BYTE)   NOT NULL,
  U           NUMBER             NOT NULL,
  N1_CODE     VARCHAR2(41 BYTE)  NOT NULL,
  N2_CODE     VARCHAR2(41 BYTE)  NOT NULL      
);

COMMENT ON TABLE TOPO_LINKS IS ' ';
COMMENT ON COLUMN TOPO_LINKS.CODE IS ' ';
COMMENT ON COLUMN TOPO_LINKS.TMA IS ' ';
COMMENT ON COLUMN TOPO_LINKS.IDMNEMO IS ' ';
COMMENT ON COLUMN TOPO_LINKS.LOC_URI IS '    (URI)';
COMMENT ON COLUMN TOPO_LINKS.TOPO_KIND IS ' ';
COMMENT ON COLUMN TOPO_LINKS.N1_CODE IS '  1';
COMMENT ON COLUMN TOPO_LINKS.N2_CODE IS '  2';
COMMENT ON COLUMN TOPO_LINKS.U IS ' ()';

CREATE INDEX TOPO_LINKS_CODE ON TOPO_LINKS (CODE);
CREATE INDEX TOPO_LINKS_N1 ON TOPO_LINKS (N1_CODE);
CREATE INDEX TOPO_LINKS_N2 ON TOPO_LINKS (N2_CODE);
---------------------------------------------------------------------------

--DROP TABLE TOPO_NODES CASCADE CONSTRAINTS;
CREATE TABLE TOPO_NODES
(
  CODE      VARCHAR2(41 BYTE)  NOT NULL,
  TMA       VARCHAR2(10 BYTE),
  IDMNEMO   NUMBER             NOT NULL,
  LOC_URI   NUMBER             NOT NULL,
  TOPO_KIND VARCHAR2(1 BYTE)   NOT NULL,
  U1        NUMBER             NOT NULL,
  U2        NUMBER,
  U3        NUMBER   
);

COMMENT ON TABLE TOPO_NODES IS ' ';
COMMENT ON COLUMN TOPO_NODES.CODE IS ' ';
COMMENT ON COLUMN TOPO_NODES.TMA IS ' ';
COMMENT ON COLUMN TOPO_NODES.IDMNEMO IS ' ';
COMMENT ON COLUMN TOPO_NODES.LOC_URI IS '    (URI)';
COMMENT ON COLUMN TOPO_NODES.TOPO_KIND IS ' ';
COMMENT ON COLUMN TOPO_NODES.U1 IS ' ()';
COMMENT ON COLUMN TOPO_NODES.U2 IS ' 2- ';
COMMENT ON COLUMN TOPO_NODES.U3 IS ' 3- ';

CREATE INDEX TOPO_NODES_CODE ON TOPO_NODES (CODE);
---------------------------------------------------------------------------

ALTER TABLE MAP ADD
(
  TOPO_STAT VARCHAR2(1 BYTE) DEFAULT 'L'
);
COMMENT ON COLUMN MAP.TOPO_STAT IS ' ';
---------------------------------------------------------------------------

CREATE OR REPLACE FORCE VIEW TOPO_NODES_VT
(
   CODE,
   NAME,
   CP,
   TOPO_KIND,
   KIND,
   U1,
   U2,
   U3,
   STATE,
   ACT_TIME
)
AS
   SELECT DISTINCT CODE, MAIN.NAME, MAIN.CP, TOPO_KIND, MAIN.KIND,
          U1, U2, U3, SOFT_VAL, ACT_TIME
     FROM TOPO_NODES, MAIN
     WHERE MAIN.TMA(+) = TOPO_NODES.TMA;
       
CREATE OR REPLACE FORCE VIEW TOPO_LINKS_V
(
  CODE,
  TMA,
  IDMNEMO,
  LOC_URI,
  TOPO_KIND,
  U,
  N1_CODE,
  N2_CODE
)
AS
--     
  SELECT * FROM TOPO_LINKS
    WHERE IDMNEMO IN (SELECT IDMNEMO FROM MAP WHERE TOPO_STAT='L')
  UNION
--     ,       
  SELECT * FROM TOPO_LINKS
    WHERE IDMNEMO IN (SELECT IDMNEMO FROM MAP WHERE TOPO_STAT='G') AND
          (NOT N1_CODE IN 
           (SELECT CODE FROM TOPO_NODES
            WHERE IDMNEMO IN (SELECT IDMNEMO FROM MAP WHERE TOPO_STAT='L')
           ) OR
           NOT N2_CODE IN
           (SELECT CODE FROM TOPO_NODES
            WHERE IDMNEMO IN (SELECT IDMNEMO FROM MAP WHERE TOPO_STAT='L')
           )
          );
           
CREATE OR REPLACE FORCE VIEW TOPO_LINKS_VT
(
   CODE,
   NAME,
   CP,
   TOPO_KIND,
   KIND,
   U,
   N1_CODE,
   N1_TOPO_KIND,
   N1_STATE,
   N1_ACT_TIME,
   N2_CODE,
   N2_TOPO_KIND,
   N2_STATE,
   N2_ACT_TIME
)
AS
  SELECT TOPO_LINKS_V.CODE, MAIN.NAME, MAIN.CP, TOPO_LINKS_V.TOPO_KIND,
         MAIN.KIND, TOPO_LINKS_V.U,
         TOPO_LINKS_V.N1_CODE, TOPO_NODES_VT1.TOPO_KIND, TOPO_NODES_VT1.STATE,
         TOPO_NODES_VT1.ACT_TIME,
         TOPO_LINKS_V.N2_CODE, TOPO_NODES_VT2.TOPO_KIND, TOPO_NODES_VT2.STATE,
         TOPO_NODES_VT2.ACT_TIME   
     FROM TOPO_LINKS_V, MAIN,
          TOPO_NODES_VT TOPO_NODES_VT1, TOPO_NODES_VT TOPO_NODES_VT2
     WHERE MAIN.TMA(+)=TOPO_LINKS_V.TMA AND
           TOPO_NODES_VT1.CODE=TOPO_LINKS_V.N1_CODE AND
           TOPO_NODES_VT2.CODE=TOPO_LINKS_V.N2_CODE;
---------------------------------------------------------------------------          

DELETE FROM SUBCATEGORY WHERE NAME = ' ';
INSERT INTO SUBCATEGORY
   (CATEGORY, SUBCATEGORY, NAME)
 VALUES
   (1, 15, ' ');
   
DELETE FROM CAT_OIK WHERE TBL_NAME IN
   ('TOPO_KINDS', 'TOPO_LINKS', 'TOPO_NODES');
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('TOPO_KINDS', '*', 1, 1, -1, 
    1, 15, NULL, 0);
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('TOPO_NODES', '*', 1, 1, -1, 
    2, 15, NULL, 0);
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('TOPO_LINKS', '*', 1, 1, -1, 
    3, 15, NULL, 0);    
        
COMMIT;