DELETE FROM SCRIPT_HISTORY WHERE SCRIPT_VERSION='UPDATE_00124.sql - ';
INSERT INTO SCRIPT_HISTORY (PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
     'UPDATE_00124.sql - ', -- 
     '7.0.2 15.08.2014', 
     ':  CIM'); 
--!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

--ALTER TABLE CIM_BASEVOLTAGE DROP PRIMARY KEY CASCADE;
--DROP TABLE CIM_BASEVOLTAGE CASCADE CONSTRAINTS;
CREATE TABLE CIM_BASEVOLTAGE
(
  ID        NUMBER                              NOT NULL,
  NAME      VARCHAR2(60 BYTE),
  CIM_CODE  VARCHAR2(8 BYTE),
  VOLTAGE   NUMBER,
  NPP       NUMBER
);

CREATE UNIQUE INDEX CIM_BASEVOLTAGE
  ON CIM_BASEVOLTAGE (ID);

ALTER TABLE CIM_BASEVOLTAGE ADD (
  CONSTRAINT CIM_BASEVOLTAGE
    PRIMARY KEY (ID) USING INDEX 
);

COMMENT ON TABLE CIM_BASEVOLTAGE IS '  ';
COMMENT ON COLUMN CIM_BASEVOLTAGE.ID IS ' ';
COMMENT ON COLUMN CIM_BASEVOLTAGE.NAME IS ' ';
COMMENT ON COLUMN CIM_BASEVOLTAGE.CIM_CODE IS 'CIM- ';
COMMENT ON COLUMN CIM_BASEVOLTAGE.VOLTAGE IS ' ()';
COMMENT ON COLUMN CIM_BASEVOLTAGE.NPP IS ' ';

Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (1, '~1150 ', 'A', 10, 1150);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (2, '~750 ', 'B', 20, 750);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (3, '~500 ', 'C', 30, 500);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (4, '~330 ', 'D', 40, 330);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (5, '~220 ', 'E', 50, 220);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (6, '~154 ', 'F', 60, 154);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (7, '~110 ', 'G', 70, 110);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (8, '~35 ', 'H', 80, 35);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (9, '~20 ', 'J', 90, 20);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (10, '~10 ', 'K', 100, 10);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (11, '~6 ', 'L', 110, 6);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (12, '~0,4 ', 'M', 120, 0.4);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (13, ' ~400 ', 'P', 130, 400);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (14, ' ~24 ', 'Q', 140, 24);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (15, ' =1500 ', 'R', 150, 1500);
Insert into CIM_BASEVOLTAGE
   (ID, NAME, CIM_CODE, NPP, VOLTAGE)
 Values
   (16, ' =800 ', 'S', 160, 800);
---------------------------------------------------------------------------
   
--DROP TABLE CIM_TYPE_FG CASCADE CONSTRAINTS;
CREATE TABLE CIM_TYPE_FG
(
  ID        NUMBER                              NOT NULL,
  NAME      VARCHAR2(60 BYTE),
  CIM_CODE  VARCHAR2(10 BYTE),
  NPP       NUMBER
);

COMMENT ON TABLE CIM_TYPE_FG IS '  ';
COMMENT ON COLUMN CIM_TYPE_FG.ID IS ' ';
COMMENT ON COLUMN CIM_TYPE_FG.NAME IS ' ';
COMMENT ON COLUMN CIM_TYPE_FG.CIM_CODE IS 'CIM- ';
COMMENT ON COLUMN CIM_TYPE_FG.NPP IS ' ';

CREATE UNIQUE INDEX CIM_TYPE_FG
  ON CIM_TYPE_FG (ID);

ALTER TABLE CIM_TYPE_FG ADD (
  CONSTRAINT CIM_TYPE_FG
    PRIMARY KEY (ID) USING INDEX 
);

Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (0, '', '0', 10);
Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (1, '', 'W', 60);
Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (2, '', 'Q', 70);
Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (3, '  (, )', 'T', 20);
Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (4, '   ()', 'D', 80);
Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (5, '   ()', 'M', 100);
Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (6, '   ()', 'A', 90);
Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (7, '', 'B', 30);
Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (8, ' ', 'S', 40);
Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (9, ' ', 'R', 50);
Insert into CIM_TYPE_FG
   (ID, NAME, CIM_CODE, NPP)
 Values
   (10, ' ', 'Z', 75);   
---------------------------------------------------------------------------

--ALTER TABLE CIM_TYPE_EQUIPMENT DROP PRIMARY KEY CASCADE;
--DROP TABLE CIM_TYPE_EQUIPMENT CASCADE CONSTRAINTS;
CREATE TABLE CIM_TYPE_EQUIPMENT
(
  ID        NUMBER                              NOT NULL,
  NAME      VARCHAR2(60 BYTE),
  CIM_CODE  VARCHAR2(8 BYTE),
  NPP       NUMBER
);

CREATE UNIQUE INDEX CIM_TYPE_EQUIPMENT
  ON CIM_TYPE_EQUIPMENT (ID);

ALTER TABLE CIM_TYPE_EQUIPMENT ADD (
  CONSTRAINT CIM_TYPE_EQUIPMENT
    PRIMARY KEY (ID) USING INDEX
);

COMMENT ON TABLE CIM_TYPE_EQUIPMENT IS '  ';
COMMENT ON COLUMN CIM_TYPE_EQUIPMENT.ID IS ' ';
COMMENT ON COLUMN CIM_TYPE_EQUIPMENT.NAME IS ' ';
COMMENT ON COLUMN CIM_TYPE_EQUIPMENT.CIM_CODE IS 'CIM- ';
COMMENT ON COLUMN CIM_TYPE_EQUIPMENT.NPP IS ' ';

Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (1, '', 'G', 5);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (2, '', 'B', 1);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (3, '', 'Q', 4);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (4, ' (   /)', 'M', 8);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (5, '/', 'W', 3);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (6, '/', 'L', 6);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (7, '', 'P', 7);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (8, ' ( )', 'C', 2);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (10, '  ()', 'B', 101);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (11, '  ', 'A', 102);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (12, '  ', 'G', 103);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (13, '  ', 'D', 104);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (14, '  ', 'F', 105);
Insert into CIM_TYPE_EQUIPMENT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (15, '  ', 'H', 106);
---------------------------------------------------------------------------

--ALTER TABLE CIM_EQUIPMENT DROP PRIMARY KEY CASCADE;
--DROP TABLE CIM_EQUIPMENT CASCADE CONSTRAINTS;
CREATE TABLE CIM_EQUIPMENT
(
  ID           NUMBER                           NOT NULL,
  NAME         VARCHAR2(60 BYTE),
  ID_TE        NUMBER,
  CIM_CODE     VARCHAR2(8 BYTE),
  CIM_PROFILE  VARCHAR2(60 BYTE),
  NPP          NUMBER
);

CREATE UNIQUE INDEX CIM_EQUIPMENT
  ON CIM_EQUIPMENT (ID);

ALTER TABLE CIM_EQUIPMENT ADD (
  CONSTRAINT CIM_EQUIPMENT
    PRIMARY KEY (ID) USING INDEX 
);

COMMENT ON TABLE CIM_EQUIPMENT IS '  ';
COMMENT ON COLUMN CIM_EQUIPMENT.ID IS ' ';
COMMENT ON COLUMN CIM_EQUIPMENT.NAME IS ' ';
COMMENT ON COLUMN CIM_EQUIPMENT.ID_TE IS '  ';
COMMENT ON COLUMN CIM_EQUIPMENT.CIM_CODE IS 'CIM- ';
COMMENT ON COLUMN CIM_EQUIPMENT.CIM_PROFILE IS ' ';
COMMENT ON COLUMN CIM_EQUIPMENT.NPP IS ' ';

Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (1, ' ', 3, 'C', 'Breaker', 
    60);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (2, ' ', 3, 'L', 'LoadBreakSwitch', 
    70);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (3, '', 3, 'S', 'Disconnector', 
    80);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (4, ' ', 3, 'G', 'GroundDisconnector', 
    100);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (5, '', 3, 'E', 'Breaker', 
    110);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (6, '', 3, 'K', 'Disconnector', 
    90);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (7, ' ', 3, 'J', 'Jumper', 
    150);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (8, '', 3, 'F', 'Fuse', 
    160);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (9, '  ', 3, 'D', 'CompositeSwitch', 
    120);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (10, '  ', 3, 'H', 'CompositeSwitch', 
    130);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (11, ' ', 6, 'C', 'SeriesCompensator', 
    180);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (12, ' ', 6, 'R', 'ShuntCompensator', 
    190);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (13, ' ', 6, 'V', 'StaticVarCompensator', 
    200);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (14, ' ', 6, 'B', 'ShuntCompensator', 
    210);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (15, ' ', 6, 'L', 'ShuntCompensator', 
    220);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (16, ' ', 6, 'M', 'SynchronousMachine', 
    230);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (17, ' ', 4, 'C', 'CurrentTransformer', 
    300);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (18, ' ', 4, 'V', 'PotencialTransformer', 
    310);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (19, ' ', 7, 'C', 'SeriesCompensator', 
    240);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (20, '', 7, 'G', 'Ground', 
    250);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (21, ' ', 7, 'L', 'SeriesCompensator', 
    260);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (22, '', 7, 'R', 'Resistor', 
    270);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (23, '/', 7, 'T', 'RectifierInvertor', 
    280);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (24, '/', 7, 'V', 'SurgeProtector', 
    290);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (25, ' ', 8, '', 'PowerTransformer', 
    20);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (26, ' /', 2, 'B', 'BusbarSection', 
    10);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (27, '', 5, 'L', 'ACLineSegment', 
    50);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (28, '', 5, 'T', 'Line', 
    40);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (29, '  ', 5, 'W', 'Line', 
    30);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (30, ' ', 3, 'W', 'CompositeSwitch', 
    140);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (31, '', 10, 'A', NULL, 
    1070);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (32, ' ', 10, 'C', NULL, 
    1000);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (33, ' ', 10, 'F', NULL, 
    1060);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (34, ' (  )', 10, 'M', NULL, 
    1100);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (35, ' ', 10, 'P', NULL, 
    1030);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (36, ' ', 10, 'Q', NULL, 
    1040);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (37, ' ', 10, 'S', NULL, 
    1050);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (38, ' ', 10, 'U', NULL, 
    1010);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (39, ' ', 10, 'V', NULL, 
    1020);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (40, ' ', 10, 'W', NULL, 
    1080);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (41, ' ', 10, 'X', NULL, 
    1090);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (42, '', 10, 'B', NULL, 
    1110);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (43, '', 10, 'E', NULL, 
    1120);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (44, '', 10, 'Z', NULL, 
    1130);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (45, ' ', 11, 'C', NULL, 
    1140);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (46, ' ', 11, 'D', NULL, 
    1150);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (47, ' ', 11, 'F', NULL, 
    1160);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (48, ' ', 11, 'G', NULL, 
    1170);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (49, ' ()', 11, 'H', NULL, 
    1180);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (50, ' ', 11, 'L', NULL, 
    1190);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (51, ' ', 11, 'P', NULL, 
    1200);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (52, ' ', 11, 'N', NULL, 
    1210);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (53, ' ', 11, 'V', NULL, 
    1220);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (54, ' (     )', 11, 'E', NULL, 
    1230);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (55, ' - ', 11, 'Z', NULL, 
    1240);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (56, ' ', 12, 'C', NULL, 
    1250);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (57, ' ', 12, 'D', NULL, 
    1260);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (58, ' ', 12, 'F', NULL, 
    1270);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (59, ' ', 12, 'G', NULL, 
    1280);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (60, ' ()', 12, 'H', NULL, 
    1290);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (61, ' ', 12, 'L', NULL, 
    1300);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (62, ' ', 12, 'P', NULL, 
    1310);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (63, ' ', 12, 'N', NULL, 
    1320);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (64, ' ', 12, 'V', NULL, 
    1330);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (65, ' (     )', 12, 'E', NULL, 
    1340);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (66, ' - ', 12, 'Z', NULL, 
    1350);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (67, ' ', 13, 'C', NULL, 
    1360);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (68, ' ', 13, 'D', NULL, 
    1370);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (69, ' ', 13, 'F', NULL, 
    1380);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (70, ' ', 13, 'G', NULL, 
    1390);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (71, ' ()', 13, 'H', NULL, 
    1400);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (72, ' ', 13, 'L', NULL, 
    1410);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (73, ' ', 13, 'P', NULL, 
    1420);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (74, ' ', 13, 'N', NULL, 
    1430);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (75, ' ', 13, 'V', NULL, 
    1440);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (76, ' (     )', 13, 'E', NULL, 
    1450);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (77, ' - ', 13, 'Z', NULL, 
    1460);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (78, '', 14, 'C', NULL, 
    1470);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (79, '', 14, 'D', NULL, 
    1480);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (80, '', 14, 'F', NULL, 
    1490);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (81, ' ', 14, 'G', NULL, 
    1500);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (82, ' ()', 14, 'H', NULL, 
    1510);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (83, '', 14, 'L', NULL, 
    1520);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (84, '', 14, 'P', NULL, 
    1530);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (85, ' ', 14, 'N', NULL, 
    1540);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (86, '', 14, 'V', NULL, 
    1550);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (87, ' (     )', 14, 'E', NULL, 
    1560);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (89, ' ', 15, 'C', NULL, 
    1580);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (91, ' ', 15, 'F', NULL, 
    1600);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (92, ' ', 15, 'G', NULL, 
    1610);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (93, ' ()', 15, 'H', NULL, 
    1620);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (94, ' ', 15, 'L', NULL, 
    1630);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (95, ' ', 15, 'P', NULL, 
    1640);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (96, ' ', 15, 'N', NULL, 
    1650);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (97, ' ', 15, 'V', NULL, 
    1660);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (98, ' (     )', 15, 'E', NULL, 
    1670);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (99, ' - ', 15, 'Z', NULL, 
    1680);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (100, ' ', 10, 'Y', NULL, 
    1095);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (101, '', 1, 'G', 'Generator', 
    170);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (102, ' ', 10, 'R', NULL, 
    1075);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (103, ' ', 5, 'S', 'Line', 
    25);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (104, ' ', 5, 'R', 'Line', 
    27);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (105, '----------', 0, NULL, NULL, 
    5);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (106, '----- -----', 0, NULL, NULL, 
    15);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (107, '-----/-----', 0, NULL, NULL, 
    22);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (108, '----------', 0, NULL, NULL, 
    55);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (109, '----------', 0, NULL, NULL, 
    165);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (110, '-----/-----', 0, NULL, NULL, 
    175);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (111, '----------', 0, NULL, NULL, 
    235);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (112, '----- -----', 0, NULL, NULL, 
    295);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (113, '----- -----', 0, NULL, NULL, 
    315);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (114, '----- -----', 0, NULL, NULL, 
    1135);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (115, '----- -----', 0, NULL, NULL, 
    1245);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (116, '----- -----', 0, NULL, NULL, 
    1355);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (117, '----- -----', 0, NULL, NULL, 
    1465);
Insert into CIM_EQUIPMENT
   (ID, NAME, ID_TE, CIM_CODE, CIM_PROFILE, 
    NPP)
 Values
   (118, '----- -----', 0, NULL, NULL, 
    1565);
---------------------------------------------------------------------------

--ALTER TABLE CIM_GEOGRAPHICALREGION DROP PRIMARY KEY CASCADE;
--DROP TABLE CIM_GEOGRAPHICALREGION CASCADE CONSTRAINTS;
CREATE TABLE CIM_GEOGRAPHICALREGION
(
  ID        NUMBER                              NOT NULL,
  NAME      VARCHAR2(60 BYTE),
  CIM_CODE  VARCHAR2(4 BYTE)
);

CREATE UNIQUE INDEX CIM_GREGION
  ON CIM_GEOGRAPHICALREGION (ID);

ALTER TABLE CIM_GEOGRAPHICALREGION ADD (
  CONSTRAINT CIM_GREGION
    PRIMARY KEY (ID) USING INDEX 
);

COMMENT ON TABLE CIM_GEOGRAPHICALREGION IS '  - ';
COMMENT ON COLUMN CIM_GEOGRAPHICALREGION.ID IS ' ';
COMMENT ON COLUMN CIM_GEOGRAPHICALREGION.NAME IS ' ';
COMMENT ON COLUMN CIM_GEOGRAPHICALREGION.CIM_CODE IS 'CIM- ';

Insert into CIM_GEOGRAPHICALREGION
   (ID, NAME, CIM_CODE)
 Values
   (1, '', 'BY');
Insert into CIM_GEOGRAPHICALREGION
   (ID, NAME, CIM_CODE)
 Values
   (2, '', 'KZ');
Insert into CIM_GEOGRAPHICALREGION
   (ID, NAME, CIM_CODE)
 Values
   (3, '', 'RU');
Insert into CIM_GEOGRAPHICALREGION
   (ID, NAME, CIM_CODE)
 Values
   (4, '', 'UA');
---------------------------------------------------------------------------

--ALTER TABLE CIM_SUBGEOGRAPHICALREGION DROP PRIMARY KEY CASCADE;
--DROP TABLE CIM_SUBGEOGRAPHICALREGION CASCADE CONSTRAINTS;
CREATE TABLE CIM_SUBGEOGRAPHICALREGION
(
  ID        NUMBER                              NOT NULL,
  NAME      VARCHAR2(60 BYTE),
  ID_GR     NUMBER,
  CIM_CODE  NUMBER
);

CREATE UNIQUE INDEX CIM_SGREGION
  ON CIM_SUBGEOGRAPHICALREGION (ID);

ALTER TABLE CIM_SUBGEOGRAPHICALREGION ADD (
  CONSTRAINT CIM_SGREGION
    PRIMARY KEY (ID) USING INDEX 
);

COMMENT ON TABLE CIM_SUBGEOGRAPHICALREGION IS '  ';
COMMENT ON COLUMN CIM_SUBGEOGRAPHICALREGION.ID IS ' ';
COMMENT ON COLUMN CIM_SUBGEOGRAPHICALREGION.NAME IS ' . ';
COMMENT ON COLUMN CIM_SUBGEOGRAPHICALREGION.ID_GR IS '    ';
COMMENT ON COLUMN CIM_SUBGEOGRAPHICALREGION.CIM_CODE IS 'CIM- . ';

Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (1, ' ', 4, 5);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (2, ' ', 4, 7);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (3, ' ', 4, 9);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (4, ' ', 4, 12);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (5, ' ', 4, 14);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (6, ' ', 4, 17);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (7, ' ', 4, 19);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (8, ' ', 4, 21);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (9, ' ', 4, 24);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (10, '- ', 4, 26);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (11, '', 4, 30);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (12, ' ', 4, 32);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (13, ' ', 4, 35);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (14, '', 4, 40);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (15, '  ', 4, 43);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (16, ' ', 4, 46);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (17, ' ', 4, 48);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (18, ' ', 4, 51);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (19, ' ', 4, 53);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (20, ' ', 4, 59);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (21, ' ', 4, 61);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (22, ' ', 4, 63);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (23, ' ', 4, 65);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (24, ' ', 4, 68);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (25, ' ', 4, 71);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (26, ' ', 4, 74);
Insert into CIM_SUBGEOGRAPHICALREGION
   (ID, NAME, ID_GR, CIM_CODE)
 Values
   (27, ' ', 4, 77);
---------------------------------------------------------------------------

--ALTER TABLE CIM_REGION DROP PRIMARY KEY CASCADE;
--DROP TABLE CIM_REGION CASCADE CONSTRAINTS;
CREATE TABLE CIM_REGION
(
  ID        NUMBER                              NOT NULL,
  NAME      VARCHAR2(60 BYTE),
  ID_SGR    NUMBER,
  CIM_CODE  NUMBER
);

CREATE UNIQUE INDEX CIM_REGION
  ON CIM_REGION (ID);

ALTER TABLE CIM_REGION ADD (
  CONSTRAINT CIM_REGION
    PRIMARY KEY (ID) USING INDEX 
);

COMMENT ON TABLE CIM_REGION IS ' ';
COMMENT ON COLUMN CIM_REGION.ID IS ' ';
COMMENT ON COLUMN CIM_REGION.NAME IS ' ';
COMMENT ON COLUMN CIM_REGION.ID_SGR IS '    . ';
COMMENT ON COLUMN CIM_REGION.CIM_CODE IS 'CIM- ';


Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (1, '. ', 18, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (2, '. -', 18, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (3, '. ', 18, 106);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (4, '. ', 18, 108);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (5, '. ', 18, 112);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (6, '. ', 18, 115);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (7, '. ', 18, 117);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (8, '', 18, 202);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (9, '', 18, 204);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (10, '', 18, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (11, '-', 18, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (12, '', 18, 210);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (13, '', 18, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (14, '', 18, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (15, '', 18, 216);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (16, '', 18, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (17, '', 18, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (18, '', 18, 223);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (19, '', 18, 225);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (20, '', 18, 227);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (21, '', 18, 229);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (22, '', 18, 231);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (23, '', 18, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (24, '', 18, 235);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (25, '', 18, 237);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (26, '', 18, 239);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (27, '', 18, 241);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (28, '', 18, 243);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (29, '', 18, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (30, '', 18, 247);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (31, '', 18, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (32, '', 18, 252);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (33, '', 18, 254);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (34, '. ', 23, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (35, '. ', 23, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (36, '.  ', 23, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (37, '', 23, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (38, '', 23, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (39, '', 23, 209);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (40, '', 23, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (41, '', 23, 215);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (42, '', 23, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (43, '', 23, 221);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (44, '', 23, 223);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (45, '', 23, 226);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (46, '', 23, 229);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (47, '', 23, 232);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (48, '', 23, 235);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (49, '', 23, 238);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (50, '', 23, 241);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (51, '', 23, 244);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (52, '', 23, 247);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (53, '', 23, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (54, '', 23, 254);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (55, '', 11, 361);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (56, '', 11, 363);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (57, '', 11, 364);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (58, '', 11, 366);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (59, '', 11, 380);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (60, '', 11, 382);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (61, '', 11, 385);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (62, '', 11, 386);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (63, '', 11, 389);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (64, '', 11, 391);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (65, '.  ', 12, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (66, '. ', 12, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (67, '. ', 12, 105);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (68, '. ', 12, 106);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (69, '. ', 12, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (70, '. ', 12, 108);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (71, '. ', 12, 109);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (72, '. -', 12, 110);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (73, '. ', 12, 112);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (74, '. ', 12, 113);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (75, '. ', 12, 115);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (76, '', 12, 202);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (77, '', 12, 204);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (78, '', 12, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (79, '', 12, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (80, '', 12, 210);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (81, '', 12, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (82, '', 12, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (83, '', 12, 216);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (84, '', 12, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (85, '', 12, 219);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (86, '', 12, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (87, '', 12, 222);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (88, '-', 12, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (89, '', 12, 227);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (90, '', 12, 229);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (91, '', 12, 231);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (92, '-', 12, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (93, '', 12, 235);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (94, '', 12, 237);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (95, '', 12, 240);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (96, '', 12, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (97, '', 12, 244);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (98, '', 12, 246);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (99, '', 12, 249);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (100, '', 12, 255);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (101, '. ', 8, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (102, '. ', 8, 102);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (103, '. ', 8, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (104, '. ', 8, 108);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (105, '. ', 8, 110);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (106, '', 8, 204);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (107, '', 8, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (108, '', 8, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (109, '', 8, 215);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (110, '', 8, 219);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (111, '', 8, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (112, '', 8, 227);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (113, '', 8, 232);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (114, '', 8, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (115, '', 8, 240);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (116, '', 8, 244);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (117, '', 8, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (118, '', 8, 253);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (119, '. ', 1, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (120, '. ', 1, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (121, '. -', 1, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (122, '. ', 1, 105);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (123, '. ', 1, 106);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (124, '. ', 1, 109);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (125, '', 1, 202);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (126, '', 1, 204);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (127, '', 1, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (128, '', 1, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (129, '', 1, 210);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (130, '', 1, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (131, '', 1, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (132, '', 1, 216);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (133, '', 1, 219);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (134, '', 1, 222);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (135, '', 1, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (136, '-', 1, 226);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (137, '', 1, 228);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (138, '', 1, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (139, '', 1, 232);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (140, '', 1, 231);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (141, '', 1, 234);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (142, '', 1, 237);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (143, '', 1, 239);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (144, '', 1, 241);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (145, '', 1, 243);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (146, '', 1, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (147, '', 1, 249);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (148, '', 1, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (149, '', 1, 253);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (150, '', 1, 256);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (151, '', 1, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (152, '. ', 2, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (153, '. -', 2, 102);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (154, '. ', 2, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (155, '. ', 2, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (156, '-', 2, 205);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (157, '', 2, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (158, '', 2, 211);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (159, '-', 2, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (160, '', 2, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (161, '', 2, 221);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (162, '', 2, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (163, '', 2, 228);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (164, '', 2, 231);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (165, '', 2, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (166, '', 2, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (167, '', 2, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (168, '', 2, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (169, '', 2, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (170, '', 2, 255);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (171, '', 2, 257);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (172, '. ', 3, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (173, '. ', 3, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (174, '. ', 3, 105);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (175, '. ', 3, 110);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (176, '. ', 3, 112);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (177, '. ', 3, 114);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (178, '.  ', 3, 116);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (179, '. ', 3, 118);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (180, '. ', 3, 121);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (181, '. ', 3, 123);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (182, '. ', 3, 125);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (183, '. ', 3, 127);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (184, '. ', 3, 129);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (185, '. ', 3, 131);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (186, '', 3, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (187, '', 3, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (188, '', 3, 209);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (189, '', 3, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (190, '', 3, 216);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (191, '', 3, 222);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (192, '', 3, 225);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (193, '', 3, 228);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (194, '', 3, 231);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (195, '', 3, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (196, '', 3, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (197, '', 3, 238);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (198, '', 3, 240);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (199, '', 3, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (200, '', 3, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (201, '-', 3, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (202, '', 3, 251);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (203, '', 3, 254);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (204, '. ', 4, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (205, '. ', 4, 102);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (206, '. ', 4, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (207, '.  ', 4, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (208, '.  ', 4, 110);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (209, '. ', 4, 113);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (210, '. ', 4, 116);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (211, '. ', 4, 119);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (212, '. ', 4, 121);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (213, '. ', 4, 124);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (214, '. ', 4, 126);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (215, '. ', 4, 130);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (216, '. ', 4, 135);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (217, '', 4, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (218, '', 4, 210);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (219, '', 4, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (220, '', 4, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (221, '', 4, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (222, '', 4, 223);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (223, '', 4, 226);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (224, '', 4, 229);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (225, '', 4, 232);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (226, '', 4, 235);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (227, '', 4, 237);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (228, '', 4, 238);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (229, '', 4, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (230, '', 4, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (231, '', 4, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (232, '', 4, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (233, '', 4, 252);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (234, '', 4, 254);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (235, '', 4, 256);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (236, '', 4, 258);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (237, '', 4, 259);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (238, '. ', 5, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (239, '. ', 5, 102);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (240, '. ', 5, 106);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (241, '. ', 5, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (242, '. ', 5, 109);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (243, '. ', 5, 112);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (244, '. ', 5, 113);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (245, '. ', 5, 115);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (246, '. ', 5, 116);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (247, '. ', 5, 117);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (248, '. ', 5, 120);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (249, '. ', 5, 121);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (250, '. ', 5, 123);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (251, '. ', 5, 125);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (252, '. ', 5, 126);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (253, '. ', 5, 129);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (254, '. ', 5, 132);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (255, '.  ', 5, 133);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (256, '. ', 5, 135);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (257, '. ', 5, 136);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (258, '. ', 5, 138);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (259, '. ', 5, 141);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (260, '. ', 5, 144);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (261, '. ', 5, 147);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (262, '. ', 5, 148);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (263, '. ', 5, 150);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (264, '. ', 5, 153);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (265, '. ', 5, 155);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (266, '', 5, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (267, '', 5, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (268, '', 5, 209);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (269, '', 5, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (270, '', 5, 215);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (271, '', 5, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (272, '', 5, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (273, '', 5, 227);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (274, '', 5, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (275, '', 5, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (276, '', 5, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (277, '', 5, 239);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (278, '', 5, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (279, '', 5, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (280, '', 5, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (281, '', 5, 252);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (282, '', 5, 255);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (283, '. ', 6, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (284, '. ', 6, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (285, '. ', 6, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (286, '. ', 6, 109);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (287, '. -', 6, 110);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (288, '', 5, 217);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (289, '', 4, 207);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (290, '', 6, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (291, '', 6, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (292, '', 6, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (293, '', 6, 209);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (294, '-', 6, 211);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (295, '', 6, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (296, '', 6, 217);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (297, '', 6, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (298, '', 6, 223);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (299, '', 6, 225);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (300, '', 6, 228);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (301, '', 6, 231);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (302, '', 6, 234);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (303, '', 6, 237);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (304, '-', 6, 240);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (305, '', 6, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (306, '', 6, 244);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (307, '', 6, 247);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (308, '', 6, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (309, '', 6, 252);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (310, '', 6, 254);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (311, '', 6, 256);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (312, '', 6, 258);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (313, '. ', 7, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (314, '. ', 7, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (315, '. ', 7, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (316, '. ', 7, 109);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (317, '', 7, 204);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (318, '', 7, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (319, '', 7, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (320, '', 7, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (321, '', 7, 216);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (322, '', 7, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (323, '', 7, 222);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (324, '', 7, 226);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (325, '', 7, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (326, '', 7, 234);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (327, '', 7, 238);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (328, '', 7, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (329, '', 7, 246);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (330, '', 7, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (331, '', 7, 254);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (332, '', 7, 258);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (333, '. ', 9, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (334, '. ', 9, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (335, '. ', 9, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (336, '. ', 9, 110);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (337, '. ', 9, 125);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (338, '', 9, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (339, '', 9, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (340, '', 9, 209);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (341, '', 9, 211);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (342, '', 9, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (343, '', 9, 215);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (344, '', 9, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (345, '', 9, 221);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (346, '-', 9, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (347, '', 9, 227);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (348, '', 9, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (349, '', 9, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (350, '', 9, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (351, '', 9, 239);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (352, '', 9, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (353, '', 9, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (354, '', 9, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (355, '', 9, 249);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (356, '', 9, 252);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (357, '', 9, 255);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (358, '. -', 10, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (359, '. ', 10, 102);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (360, '. ', 10, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (361, '. ', 10, 106);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (362, '. ', 10, 110);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (363, '', 10, 204);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (364, '', 10, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (365, '', 10, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (366, '', 10, 216);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (367, '', 10, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (368, '', 10, 228);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (369, '', 10, 232);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (370, '', 10, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (371, '', 10, 240);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (372, '', 10, 244);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (373, '', 10, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (374, '', 10, 252);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (375, '', 10, 256);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (376, '', 10, 258);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (377, '. ', 13, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (378, '. ', 13, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (379, '. ', 13, 106);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (380, '. ', 13, 109);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (381, '', 13, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (382, '', 13, 205);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (383, '', 13, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (384, '', 13, 211);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (385, '', 13, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (386, '', 13, 217);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (387, '', 13, 219);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (388, '', 13, 222);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (389, '', 13, 225);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (390, '', 13, 228);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (391, '', 13, 231);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (392, '', 13, 234);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (393, '', 13, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (394, '', 13, 238);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (395, '', 13, 240);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (396, '', 13, 243);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (397, '', 13, 246);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (398, '', 13, 249);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (399, '', 13, 252);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (400, '', 13, 255);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (401, '', 13, 258);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (402, '', 14, 363);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (403, '', 14, 364);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (404, '', 14, 366);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (405, '', 14, 369);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (406, '. ', 15, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (407, '. ', 15, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (408, '. ', 15, 106);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (409, '. ', 15, 109);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (410, '. ', 15, 112);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (411, '. ', 15, 113);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (412, '. ', 15, 114);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (413, '. ', 15, 115);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (414, '. ', 15, 116);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (415, '. ', 15, 117);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (416, '. ', 15, 119);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (417, '', 15, 204);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (418, '', 15, 207);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (419, '', 15, 211);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (420, '', 15, 216);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (421, '', 15, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (422, '', 15, 223);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (423, '', 15, 227);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (424, '', 15, 231);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (425, '', 15, 235);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (426, '', 15, 239);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (427, '', 15, 243);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (428, '', 15, 247);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (429, '', 15, 252);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (430, '', 15, 256);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (431, '. ', 16, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (432, '. ', 16, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (433, '. ', 16, 106);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (434, '. ', 16, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (435, '.  ', 16, 108);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (436, '. ', 16, 109);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (437, '. ', 16, 112);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (438, '. ', 16, 115);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (439, '. ', 16, 118);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (440, '', 16, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (441, '', 16, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (442, '', 16, 209);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (443, '', 16, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (444, '', 16, 215);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (445, '', 16, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (446, '-', 16, 221);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (447, '', 16, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (448, '', 16, 227);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (449, '', 16, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (450, '', 16, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (451, '', 16, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (452, '', 16, 239);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (453, '', 16, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (454, '', 16, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (455, '', 16, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (456, '', 16, 251);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (457, '', 16, 253);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (458, '', 16, 255);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (459, '', 16, 258);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (460, '. ', 17, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (461, '. ', 17, 102);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (462, '. ', 17, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (463, '. ', 17, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (464, '. ', 17, 108);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (465, '', 17, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (466, '', 17, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (467, '', 17, 209);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (468, '', 17, 211);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (469, '', 17, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (470, '', 17, 217);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (471, '', 17, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (472, '', 17, 223);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (473, '', 17, 227);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (474, '', 17, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (475, '', 17, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (476, '', 17, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (477, '', 17, 239);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (478, '', 17, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (479, '', 17, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (480, '', 17, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (481, '', 17, 251);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (482, '', 17, 254);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (483, '', 17, 257);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (484, '. ', 19, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (485, '. ', 19, 102);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (486, '. ', 19, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (487, '. ', 19, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (488, '. ', 19, 109);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (489, '', 19, 202);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (490, '', 19, 204);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (491, '', 19, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (492, '', 19, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (493, '', 19, 210);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (494, '', 19, 213);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (495, '', 19, 216);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (496, '', 19, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (497, '', 19, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (498, '', 19, 222);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (499, '', 19, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (500, '', 19, 226);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (501, '', 19, 228);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (502, '', 19, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (503, '', 19, 232);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (504, '', 19, 234);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (505, '', 19, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (506, '', 19, 238);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (507, '', 19, 240);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (508, '', 19, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (509, '', 19, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (510, '', 19, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (511, '', 19, 251);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (512, '', 19, 254);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (513, '', 19, 257);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (514, '. ', 20, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (515, '. ', 20, 102);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (516, '. ', 20, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (517, '. ', 20, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (518, '. ', 20, 105);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (519, '. ', 20, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (520, '. ', 20, 110);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (521, '', 20, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (522, '', 20, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (523, '', 20, 209);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (524, '', 20, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (525, '', 20, 215);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (526, '', 20, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (527, '', 20, 223);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (528, '', 20, 226);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (529, '', 20, 229);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (530, '', 20, 232);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (531, '', 20, 235);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (532, '', 20, 238);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (533, '', 20, 241);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (534, '-', 20, 244);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (535, '', 20, 247);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (536, '', 20, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (537, '', 20, 253);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (538, '', 20, 256);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (539, '. ', 21, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (540, '', 21, 204);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (541, '', 21, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (542, '', 21, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (543, '', 21, 216);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (544, '', 21, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (545, '', 21, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (546, '', 21, 226);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (547, '', 21, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (548, '', 21, 234);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (549, '', 21, 238);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (550, '', 21, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (551, '', 21, 246);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (552, '', 21, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (553, '', 21, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (554, '', 21, 252);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (555, '', 21, 255);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (556, '', 21, 258);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (557, '. ', 22, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (558, '. ', 22, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (559, '. ', 22, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (560, '. ', 22, 110);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (561, '. ', 22, 112);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (562, '. ', 22, 115);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (563, '. ', 22, 120);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (564, '', 22, 202);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (565, '', 22, 204);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (566, '', 22, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (567, '', 22, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (568, '', 22, 210);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (569, '', 22, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (570, '', 22, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (571, '', 22, 216);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (572, '', 22, 217);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (573, '', 22, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (574, '', 22, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (575, '', 22, 222);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (576, '', 22, 226);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (577, '', 22, 228);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (578, '', 22, 231);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (579, '', 22, 232);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (580, '', 22, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (581, '', 22, 235);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (582, '', 22, 237);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (583, '', 22, 239);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (584, '', 22, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (585, '', 22, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (586, '', 22, 246);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (587, '', 22, 248);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (588, '', 22, 251);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (589, '', 22, 254);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (590, '', 22, 257);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (591, '. ', 24, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (592, '. -', 24, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (593, '. ', 24, 105);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (594, '. ', 24, 106);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (595, '. ', 24, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (596, '. ', 24, 108);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (597, '', 24, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (598, '', 24, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (599, '', 24, 209);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (600, '', 24, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (601, '', 24, 215);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (602, '', 24, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (603, '', 24, 221);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (604, '-', 24, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (605, '', 24, 227);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (606, '', 24, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (607, '', 24, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (608, '', 24, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (609, '', 24, 239);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (610, '', 24, 242);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (611, '', 24, 244);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (612, '', 24, 247);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (613, '', 24, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (614, '', 24, 252);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (615, '', 24, 255);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (616, '', 24, 258);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (617, '. ', 25, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (618, '. ', 25, 102);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (619, '. ', 25, 103);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (620, '. ', 25, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (621, '. ', 25, 105);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (622, '. ', 25, 108);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (623, '', 25, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (624, '', 25, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (625, '', 25, 209);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (626, '', 25, 212);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (627, '', 25, 215);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (628, '', 25, 218);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (629, '', 25, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (630, '', 25, 222);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (631, '-', 25, 225);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (632, '', 25, 228);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (633, '', 25, 231);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (634, '', 25, 234);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (635, '', 25, 237);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (636, '', 25, 240);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (637, '', 25, 243);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (638, '', 25, 246);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (639, '', 25, 249);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (640, '', 25, 251);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (641, '', 25, 254);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (642, '', 25, 257);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (643, '. ', 26, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (644, '. ', 26, 104);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (645, '. ', 26, 107);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (646, '', 26, 203);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (647, '', 26, 206);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (648, '', 26, 208);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (649, '', 26, 211);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (650, '', 26, 214);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (651, '', 26, 217);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (652, '', 26, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (653, '', 26, 222);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (654, '', 26, 224);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (655, '', 26, 227);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (656, '', 26, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (657, '', 26, 233);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (658, '-', 26, 236);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (659, '', 26, 238);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (660, '', 26, 241);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (661, '', 26, 244);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (662, '', 26, 247);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (663, '', 26, 249);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (664, '', 26, 251);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (665, '', 26, 253);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (666, '', 26, 255);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (667, '', 26, 258);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (668, '. ', 27, 101);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (669, '. ', 27, 106);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (670, '', 27, 205);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (671, '', 27, 207);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (672, '', 27, 210);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (673, '', 27, 215);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (674, '', 27, 220);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (675, '', 27, 225);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (676, '', 27, 230);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (677, '', 27, 235);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (678, '', 27, 240);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (679, '', 27, 245);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (680, '', 27, 250);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (681, '. ', 12, 111);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (682, '. ', 12, 116);
Insert into CIM_REGION
   (ID, NAME, ID_SGR, CIM_CODE)
 Values
   (683, '.  ', 23, 103);
---------------------------------------------------------------------------

--ALTER TABLE CIM_OBJECT DROP PRIMARY KEY CASCADE;
--DROP TABLE CIM_OBJECT CASCADE CONSTRAINTS;
CREATE TABLE CIM_OBJECT
(
  ID        NUMBER                              NOT NULL,
  NAME      VARCHAR2(60 BYTE),
  CIM_CODE  VARCHAR2(4 BYTE),
  NPP       NUMBER
);

CREATE UNIQUE INDEX CIM_OBJECT
  ON CIM_OBJECT (ID);

ALTER TABLE CIM_OBJECT ADD (
  CONSTRAINT CIM_OBJECT
    PRIMARY KEY (ID) USING INDEX 
);

COMMENT ON TABLE CIM_OBJECT IS '  ';
COMMENT ON COLUMN CIM_OBJECT.ID IS ' ';
COMMENT ON COLUMN CIM_OBJECT.NAME IS ' ';
COMMENT ON COLUMN CIM_OBJECT.CIM_CODE IS 'CIM- ';
COMMENT ON COLUMN CIM_OBJECT.NPP IS ' ';

Insert into CIM_OBJECT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (1, '', 'ST', 1);
Insert into CIM_OBJECT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (2, ' ', 'SG', 2);
Insert into CIM_OBJECT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (3, ' ', 'LN', 5);
Insert into CIM_OBJECT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (4, '  ', 'SM', 4);
Insert into CIM_OBJECT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (5, '  ', 'SR', 3);
Insert into CIM_OBJECT
   (ID, NAME, CIM_CODE, NPP)
 Values
   (6, '', 'AB', 6);
---------------------------------------------------------------------------

ALTER TABLE NAME_CP ADD
(
  ID_CIM_RG   NUMBER,
  CIM_CODE    NUMBER,
  ID_CIM_OBJ  NUMBER,
  CIM_CODE_LITERA VARCHAR2(10 BYTE),
  COORDINATES     VARCHAR2(30 BYTE)  
);

COMMENT ON TABLE  NAME_CP            IS ' ';
COMMENT ON COLUMN NAME_CP.CP         IS '  ';
COMMENT ON COLUMN NAME_CP.NAME       IS '  ';
COMMENT ON COLUMN NAME_CP.DIVISION   IS ' ';
COMMENT ON COLUMN NAME_CP.ID_CIM_RG  IS '  ';
COMMENT ON COLUMN NAME_CP.CIM_CODE   IS 'CIM-  ';
COMMENT ON COLUMN NAME_CP.ID_CIM_OBJ IS '   ';
COMMENT ON COLUMN NAME_CP.CIM_CODE_LITERA IS 'CIM-,   CIM-';
COMMENT ON COLUMN NAME_CP.COORDINATES IS '  ';
---------------------------------------------------------------------------

--ALTER TABLE NAME_ABN DROP PRIMARY KEY CASCADE;
--DROP TABLE NAME_ABN CASCADE CONSTRAINTS;
CREATE TABLE NAME_ABN
(
  CP               NUMBER             NOT NULL,
  NAME             VARCHAR2(60 BYTE),
  DIVISION         NUMBER             DEFAULT 0   NOT NULL,
  ID_CIM_RG        NUMBER,
  CIM_CODE         NUMBER,
  ID_CIM_OBJ       NUMBER,
  CIM_CODE_LITERA  VARCHAR2(10 BYTE),
  FNODE            VARCHAR2(30 BYTE),
  P_ACCOUNT        VARCHAR2(20 BYTE),
  STREET_ID        NUMBER,
  HOUSE            VARCHAR2(20 BYTE),
  CONSUM_KND       NUMBER,
  COORDINATES      VARCHAR2(30 BYTE)   
);

COMMENT ON TABLE NAME_ABN IS ' / ';
COMMENT ON COLUMN NAME_ABN.CP IS '  /  ()';
COMMENT ON COLUMN NAME_ABN.NAME IS '  / ';
COMMENT ON COLUMN NAME_ABN.DIVISION IS '  ';
COMMENT ON COLUMN NAME_ABN.ID_CIM_RG IS '  ';
COMMENT ON COLUMN NAME_ABN.CIM_CODE IS 'CIM-  / ';
COMMENT ON COLUMN NAME_ABN.ID_CIM_OBJ IS '   ';
COMMENT ON COLUMN NAME_ABN.CIM_CODE_LITERA IS 'CIM-,   CIM-';
COMMENT ON COLUMN NAME_ABN.FNODE IS ' (  CIM-)   ';
COMMENT ON COLUMN NAME_ABN.P_ACCOUNT IS ' ';
COMMENT ON COLUMN NAME_ABN.STREET_ID IS ' ';
COMMENT ON COLUMN NAME_ABN.HOUSE IS ' , ';
COMMENT ON COLUMN NAME_ABN.CONSUM_KND IS '   / ';
COMMENT ON COLUMN NAME_ABN.COORDINATES IS ' ';

CREATE UNIQUE INDEX PK_NAMEABN
  ON NAME_ABN (CP);

ALTER TABLE NAME_ABN ADD (
  CONSTRAINT PK_NAMEABN
    PRIMARY KEY (CP)
    USING INDEX
);     
---------------------------------------------------------------------------

ALTER TABLE NAME_KND ADD
(
  ID_CIM      NUMBER,
  PRIORITY    NUMBER,
  COLOR       NUMBER,
  FACTOR      NUMBER
);

COMMENT ON TABLE  NAME_KND           IS '   ';
COMMENT ON COLUMN NAME_KND.KIND      IS ' ';
COMMENT ON COLUMN NAME_KND.NAME      IS ' ';
COMMENT ON COLUMN NAME_KND.ICON      IS '  ';
COMMENT ON COLUMN NAME_KND.ID_TYPE   IS ' ';
COMMENT ON COLUMN NAME_KND.CURRENT_DESIGN   IS '   ';
COMMENT ON COLUMN NAME_KND.PRIBOR    IS '  ';
COMMENT ON COLUMN NAME_KND.CURRENT_ACTION   IS '   ';
COMMENT ON COLUMN NAME_KND.SHIELD_COUNT_IND IS '     ';
COMMENT ON COLUMN NAME_KND.ID_CIM    IS ' CIM-  ';
COMMENT ON COLUMN NAME_KND.PRIORITY  IS ' ';
COMMENT ON COLUMN NAME_KND.COLOR     IS '     ';
COMMENT ON COLUMN NAME_KND.FACTOR    IS '   ';

UPDATE NAME_KND SET
   NAME=' ' WHERE NAME='';
UPDATE NAME_KND SET
   NAME=' ' WHERE NAME='';
UPDATE NAME_KND SET
   NAME=' ' WHERE NAME='';
UPDATE NAME_KND SET
   NAME=' ( )' WHERE NAME='';       
      
INSERT INTO NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 SELECT   
   11, ' ', 0, 0, NULL, 
    NULL, '0=|1=', 0, 2
 FROM DUAL
 WHERE ' ' NOT IN
   (SELECT NAME FROM NAME_KND);
INSERT INTO NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 SELECT
   23, '  ()', 0, 0, NULL, 
    NULL, '0= |1= ', 0, 30
 FROM DUAL
 WHERE '  ()' NOT IN
   (SELECT NAME FROM NAME_KND);       
INSERT INTO NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 SELECT
   502, ' ', 0, 5, NULL, 
    NULL, NULL, 0, 18
 FROM DUAL   
 WHERE ' ' NOT IN
   (SELECT NAME FROM NAME_KND);
Insert into NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 Values
   (532, '', 0, 5, NULL, 
    NULL, NULL, 0, 27);
Insert into NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 Values
   (534, '', 0, 5, NULL, 
    NULL, NULL, 0, 28);
Insert into NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 Values
   (536, '  ', 0, 5, NULL, 
    NULL, NULL, 0, 29);
Insert into NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 Values
   (567, ' ', 0, 5, NULL, 
    NULL, NULL, 0, 14);   
Insert into NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 Values
   (630, ' ', 0, 5, NULL, 
    NULL, NULL, 0, 11);
Insert into NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 Values
   (640, ' ', 0, 5, NULL, 
    NULL, NULL, 0, 12);
Insert into NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 Values
   (650, ' ', 0, 5, NULL, 
    NULL, NULL, 0, 13);
Insert into NAME_KND
   (KIND, NAME, ICON, ID_TYPE, CURRENT_DESIGN, 
    PRIBOR, CURRENT_ACTION, SHIELD_COUNT_IND, ID_CIM)
 Values
   (660, ' ', 0, 5, NULL, 
    NULL, NULL, 0, 16);

UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=2 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='  ';
UPDATE NAME_KND SET
   ID_CIM=18 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=30 WHERE NAME='  ()';
UPDATE NAME_KND SET
   ID_CIM=27 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=28 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=29 WHERE NAME='  ';
UPDATE NAME_KND SET
   ID_CIM=11 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=12 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=13 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=14 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=16 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=24 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=',  ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='  ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='  ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='<   >';
UPDATE NAME_KND SET
   ID_CIM=1 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=25 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='   ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='  ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='   ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='  ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='   ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=3 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=4 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=29 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=26 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=103 WHERE LOWER(NAME)='c ' OR LOWER(NAME)=' ';
UPDATE NAME_KND SET
   ID_CIM=104 WHERE LOWER(NAME)=' ' OR LOWER(NAME)=' ';         
UPDATE NAME_KND SET
   ID_CIM=26 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=14 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=24 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=24 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=8 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=30 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=15 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=24 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=4 WHERE NAME='  ';
UPDATE NAME_KND SET
   ID_CIM=5 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=3 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=1 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=6 WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=7 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=3 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=3 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=3 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='  ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' . ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='  ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='   ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME=' ()';
UPDATE NAME_KND SET
   ID_CIM=19 WHERE NAME=' ( )';
UPDATE NAME_KND SET
   ID_CIM=17 WHERE NAME=' ';
UPDATE NAME_KND SET
   ID_CIM=NULL WHERE NAME='';
---------------------------------------------------------------------------

--ALTER TABLE CIM_CODE_EQUIPMENT DROP PRIMARY KEY CASCADE;
--DROP TABLE CIM_CODE_EQUIPMENT CASCADE CONSTRAINTS;
CREATE TABLE CIM_CODE_EQUIPMENT
(
  ID_CP         NUMBER,
  ID_VOLTAGE    NUMBER,
  ID_TYPE_FG    NUMBER,
  N_FG          NUMBER,
  ID_EQUIPMENT  NUMBER,
  NUM           NUMBER,
  TMA           VARCHAR2(10 BYTE),
  KIND          NUMBER,
  NAME          VARCHAR2(30 BYTE)
);

CREATE UNIQUE INDEX CIM_CODE_EQUIPMENT_CIMCODE
  ON CIM_CODE_EQUIPMENT
    (ID_CP,ID_VOLTAGE, ID_TYPE_FG, N_FG, ID_EQUIPMENT, NUM);


CREATE INDEX CIM_CODE_EQUIPMENT_TMA
  ON CIM_CODE_EQUIPMENT (TMA);

ALTER TABLE CIM_CODE_EQUIPMENT ADD (
  CONSTRAINT CIM_CODE_EQUIPMENT_CIMCODE
    PRIMARY KEY (ID_CP, ID_VOLTAGE, ID_TYPE_FG, N_FG, ID_EQUIPMENT, NUM)
    USING INDEX
); 
  
COMMENT ON TABLE CIM_CODE_EQUIPMENT IS ' ';
COMMENT ON COLUMN CIM_CODE_EQUIPMENT.ID_VOLTAGE IS '  ';
COMMENT ON COLUMN CIM_CODE_EQUIPMENT.ID_TYPE_FG IS '   ';
COMMENT ON COLUMN CIM_CODE_EQUIPMENT.N_FG IS '  ';
COMMENT ON COLUMN CIM_CODE_EQUIPMENT.ID_EQUIPMENT IS '  ';
COMMENT ON COLUMN CIM_CODE_EQUIPMENT.NUM IS '    ';
COMMENT ON COLUMN CIM_CODE_EQUIPMENT.ID_CP IS '  (>0)   (<0)';
COMMENT ON COLUMN CIM_CODE_EQUIPMENT.TMA IS ' ';
COMMENT ON COLUMN CIM_CODE_EQUIPMENT.KIND IS ' ';
COMMENT ON COLUMN CIM_CODE_EQUIPMENT.NAME IS '  ';
---------------------------------------------------------------------------
             
CREATE OR REPLACE FORCE VIEW CIM_TMA_V
(
   TMA,
   CP,
   CIM_CODE,
   ID_VOLTAGE,
   ID_TYPE_FG,
   N_FG,
   ID_TYPE_EQUIPMENT,
   ID_EQUIPMENT,
   NUM,
   KIND
)
AS
   SELECT   TMA,
            ID_CP CP,
               CIM_BASEVOLTAGE.CIM_CODE
            || '.'
            || CIM_TYPE_FG.CIM_CODE
            || CIM_CODE_EQUIPMENT.N_FG
            || '.'
            || CIM_TYPE_EQUIPMENT.CIM_CODE
            || CIM_EQUIPMENT.CIM_CODE
            || CIM_CODE_EQUIPMENT.NUM
               CIM_CODE,
            CIM_CODE_EQUIPMENT.ID_VOLTAGE,
            CIM_CODE_EQUIPMENT.ID_TYPE_FG,
            CIM_CODE_EQUIPMENT.N_FG,
            CIM_EQUIPMENT.ID_TE,
            CIM_CODE_EQUIPMENT.ID_EQUIPMENT,
            CIM_CODE_EQUIPMENT.NUM,
            CIM_CODE_EQUIPMENT.KIND
     FROM   CIM_CODE_EQUIPMENT,
            CIM_BASEVOLTAGE,
            CIM_TYPE_FG,
            CIM_EQUIPMENT,
            CIM_TYPE_EQUIPMENT
    WHERE       CIM_CODE_EQUIPMENT.ID_VOLTAGE = CIM_BASEVOLTAGE.ID(+)
            AND CIM_CODE_EQUIPMENT.ID_TYPE_FG = CIM_TYPE_FG.ID(+)
            AND CIM_CODE_EQUIPMENT.ID_EQUIPMENT = CIM_EQUIPMENT.ID(+)
            AND CIM_EQUIPMENT.ID_TE = CIM_TYPE_EQUIPMENT.ID(+);


CREATE OR REPLACE FORCE VIEW CIM_NAME_CP_V
(
   CP,
   NAME,
   DIVISION,
   ID_CIM_RG,
   ID_CIM_OBJ,
   CIM_CODE
)
AS
   SELECT   NAME_CP.CP,
            NAME_CP.NAME,
            NAME_CP.DIVISION,
            NAME_CP.ID_CIM_RG,
            NAME_CP.ID_CIM_OBJ,
               CIM_GEOGRAPHICALREGION.CIM_CODE
            || '-'
            || CIM_SUBGEOGRAPHICALREGION.CIM_CODE
            || '.'
            || CIM_REGION.CIM_CODE
            || '.'
            || CIM_OBJECT.CIM_CODE
            || NAME_CP.CIM_CODE
            || NAME_CP.CIM_CODE_LITERA
               CIM_CODE
     FROM   NAME_CP,
            CIM_REGION,
            CIM_SUBGEOGRAPHICALREGION,
            CIM_GEOGRAPHICALREGION,
            CIM_OBJECT
    WHERE   NAME_CP.ID_CIM_RG = CIM_REGION.ID(+)
            AND CIM_REGION.ID_SGR = CIM_SUBGEOGRAPHICALREGION.ID(+)
            AND CIM_SUBGEOGRAPHICALREGION.ID_GR =
                  CIM_GEOGRAPHICALREGION.ID(+)
            AND NAME_CP.ID_CIM_OBJ = CIM_OBJECT.ID(+)
   UNION
   SELECT   NAME_ABN.CP,
            NAME_ABN.NAME,
            NAME_ABN.DIVISION,
            NAME_ABN.ID_CIM_RG,
            NAME_ABN.ID_CIM_OBJ,
               CIM_GEOGRAPHICALREGION.CIM_CODE
            || '-'
            || CIM_SUBGEOGRAPHICALREGION.CIM_CODE
            || '.'
            || CIM_REGION.CIM_CODE
            || '.'
            || CIM_OBJECT.CIM_CODE
            || NAME_ABN.CIM_CODE
            || NAME_ABN.CIM_CODE_LITERA
               CIM_CODE
     FROM   NAME_ABN,
            CIM_REGION,
            CIM_SUBGEOGRAPHICALREGION,
            CIM_GEOGRAPHICALREGION,
            CIM_OBJECT
    WHERE   NAME_ABN.ID_CIM_RG = CIM_REGION.ID(+)
            AND CIM_REGION.ID_SGR = CIM_SUBGEOGRAPHICALREGION.ID(+)
            AND CIM_SUBGEOGRAPHICALREGION.ID_GR =
                  CIM_GEOGRAPHICALREGION.ID(+)
            AND NAME_ABN.ID_CIM_OBJ = CIM_OBJECT.ID(+);
---------------------------------------------------------------------------

DELETE FROM SUBCATEGORY WHERE NAME = ' CIM';
INSERT INTO SUBCATEGORY
   (CATEGORY, SUBCATEGORY, NAME)
 VALUES
   (1, 16, ' CIM');
   
DELETE FROM CAT_OIK WHERE TBL_NAME IN
   ('CIM_BASEVOLTAGE', 'CIM_EQUIPMENT', 'CIM_TYPE_EQUIPMENT', 'CIM_TYPE_FG',
    'CIM_GEOGRAPHICALREGION', 'CIM_SUBGEOGRAPHICALREGION', 'CIM_REGION',
    'CIM_OBJECT', 'CIM_CODE_EQUIPMENT', 'NAME_ABN');
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('CIM_BASEVOLTAGE', '*', 1, 1, -1, 
    1, 16, NULL, 0);
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('CIM_EQUIPMENT', '*', 1, 1, -1, 
    2, 16, NULL, 0);
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('CIM_TYPE_EQUIPMENT', '*', 1, 1, -1, 
    3, 16, NULL, 0);
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('CIM_TYPE_FG', '*', 1, 1, -1, 
    4, 16, NULL, 0);
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('CIM_GEOGRAPHICALREGION', '*', 1, 1, -1, 
    5, 16, NULL, 0); 
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('CIM_SUBGEOGRAPHICALREGION', '*', 1, 1, -1, 
    6, 16, NULL, 0);
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('CIM_REGION', '*', 1, 1, -1, 
    7, 16, NULL, 0);      
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('CIM_OBJECT', '*', 1, 1, -1, 
    8, 16, NULL, 0);
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('CIM_CODE_EQUIPMENT', '*', 1, 2, -1, 
    19, 5, NULL, 3);
INSERT INTO CAT_OIK
   (TBL_NAME, COL_NAME, CATEGORY, REGIM, INTERVAL, 
    PRIORITY, SUBCATEGORY, CONDITION, FLAG)
 VALUES
   ('NAME_ABN', '*', 1, 2, -1, 
    21, 5, NULL, 3);                                             
        
COMMIT;