INSERT INTO SCRIPT_HISTORY ( PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
       'UPDATE_CP_TO_NUM.sql -', --   
	   '6.0.1', 
	   '. CP    '); 
COMMIT;

create table NAME_CP_T AS (select * from NAME_CP);
delete from NAME_CP;
ALTER TABLE NAME_CP MODIFY(CP NUMBER);
ALTER TABLE NAME_CP MODIFY(DIVISION NUMBER DEFAULT 0);
insert into NAME_CP (select * from NAME_CP_T);
drop table NAME_CP_T;


create table NAME_DIVISION_T AS (select * from NAME_DIVISION);
delete from NAME_DIVISION;
ALTER TABLE NAME_DIVISION MODIFY(DIVISION  NUMBER);
insert into NAME_DIVISION (select * from NAME_DIVISION_T);
drop table NAME_DIVISION_T;

create table NAME_OBJECT_T AS (select * from NAME_OBJECT);
delete from NAME_OBJECT;
ALTER TABLE NAME_OBJECT MODIFY(CP NUMBER);
insert into NAME_OBJECT (select * from NAME_OBJECT_T);
drop table NAME_OBJECT_T;

create table SIGNAL_RESPONCE_T AS (select * from SIGNAL_RESPONCE);
delete from SIGNAL_RESPONCE;
ALTER TABLE SIGNAL_RESPONCE MODIFY(H_CP  NUMBER);
insert into SIGNAL_RESPONCE (select * from SIGNAL_RESPONCE_T);
drop table SIGNAL_RESPONCE_T;

create table MAIN_T AS (select * from MAIN);
delete from MAIN;
ALTER TABLE MAIN MODIFY(CP NUMBER DEFAULT 0);
ALTER TABLE MAIN MODIFY(H_CP NUMBER DEFAULT 0);
insert into MAIN (select * from MAIN_T);
drop table MAIN_T;

create table C_POINTS_T AS (select * from C_POINTS);
delete from C_POINTS;
ALTER TABLE C_POINTS MODIFY(CP NUMBER DEFAULT 0);
insert into C_POINTS (select * from C_POINTS_T);
drop table C_POINTS_T;

CREATE OR REPLACE procedure CP_ON_OFF(pH_CP NUMBER,
                                      pPar_Action NUMBER,
           pPar_Color NUMBER,
           pTabNum NUMBER,
                                      pONOFF BOOLEAN) is
    vNew_F_HAND NUMBER(1);
    vOld_F_HAND NUMBER(1);
    vPar_Value NUMBER;
    vGate VARCHAR2(1);
   cursor for_h_cp is
        select MAIN.TMA vTMA, SOFT_VAL, F_HAND, F_HAND_CP_OFF, KVIT_OUT.TU vKVIT_OUT
     from MAIN, KVIT_OUT
     where MAIN.H_CP = pH_CP and MAIN.TMA = KVIT_OUT.TMA(+);

begin
  vGate:=' ';
  for selhand in for_h_cp loop
    if pONOFF then       --  
      vPar_Value:=0;
   vNew_F_HAND:=selhand.f_hand_cp_off;
   vOld_F_HAND:=NULL;
 else                --  
      vPar_Value:=1;
   if selhand.f_hand > 0 then
     vNew_F_HAND:=selhand.f_hand;
   else
     vNew_F_HAND:=1;
   end if;
      vOld_F_HAND:=selhand.f_hand;
 end if;
 update MAIN set F_HAND = vNew_F_HAND,F_HAND_CP_OFF=vOld_F_HAND, ACT_TIME = sysdate
             where TMA = selhand.vtma;

    insert into ACTION (TMA, PAR_VALUE, PAR_ACTION, PAR_COLOR, TABNUM, PAR_DATE_TIME)
                  VALUES (selhand.vtma, vPar_Value, pPar_Action, pPar_Color, pTabNum, sysdate);

    if pONOFF then
   REFRESH_TMA(selhand.vtma);
 end if;

    if LENGTH(selhand.vKVIT_OUT) > 4 then
   if selhand.soft_val = 1 then
     CP_SEND_TO_TU(selhand.vKVIT_OUT, 0, not pONOFF, vGate, vGate);
      end if;
   if selhand.soft_val = 0 then
  CP_SEND_TO_TU(selhand.vKVIT_OUT, 2, not pONOFF, vGate, vGate);
   end if;
 end if;
    if pONOFF then
   CP_SEND_TO_TU(selhand.vKVIT_OUT, 3, TRUE, vGate, vGate);
 end if;
  end loop;
  UPDATE REPL_INI SET TIME_= sysdate;
 end ;
/

CREATE OR REPLACE TRIGGER UPDATE_MAIN
BEFORE UPDATE
OF SOFT_VAL
  ,NODEID
ON MAIN
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
pragma autonomous_transaction;
COUNT_NODE_OLD_ BOOLEAN;
COUNT_NODE_NEW_ BOOLEAN;
MIN_VAL_ NUMBER;
MAX_VAL_ NUMBER;
VAL_ NUMBER;
BEGIN
  --      
  IF (:OLD.NODEID IS NULL) AND (:NEW.NODEID IS NULL) THEN
    RETURN;
  END IF;
  IF (:OLD.NODEID = :NEW.NODEID) AND (:OLD.SOFT_VAL = :NEW.SOFT_VAL) THEN
    RETURN;
  END IF;
  
  COUNT_NODE_OLD_:=False;--   NODEID
  COUNT_NODE_NEW_:=False;
  IF (:OLD.NODEID IS NULL) THEN
    IF :NEW.NODEID = 0 THEN 
      :NEW.NODEID := NULL;
    END IF;
  ELSIF NOT (:NEW.NODEID = :OLD.NODEID) THEN
    IF :NEW.NODEID = 0 THEN 
      :NEW.NODEID := NULL;
    END IF;
 COUNT_NODE_OLD_:=True;   
  END IF;
  IF NOT (:NEW.NODEID IS NULL) THEN--     ?  29
   COUNT_NODE_NEW_:=True; 
  END IF;
  IF (COUNT_NODE_OLD_ AND COUNT_NODE_NEW_) THEN
    IF (:NEW.NODEID = :OLD.NODEID) THEN
   COUNT_NODE_OLD_:=False;
 END IF;
  END IF;
  IF (COUNT_NODE_OLD_) THEN--  
   SELECT Count(*) INTO MIN_VAL_ FROM MAIN
 WHERE NODEID=:OLD.NODEID 
   AND not (TMA = :OLD.TMA)
   AND (SOFT_VAL = 0 OR SOFT_VAL = 1);
 IF MIN_VAL_ =0 THEN
   VAL_:=1;
 ELSE       
      SELECT min(SOFT_VAL), max(SOFT_VAL) INTO MIN_VAL_, MAX_VAL_ FROM MAIN
   WHERE NODEID=:OLD.NODEID 
     AND not (TMA = :OLD.TMA)
     AND (SOFT_VAL = 0 OR SOFT_VAL = 1);
   VAL_:=BITWISE.B_AND(MIN_VAL_, MAX_VAL_);
 END IF;
 UPDATE NODE SET SOFT_VAL=VAL_
 WHERE NODEID=:OLD.NODEID;
  END IF;
  
--    
  IF (COUNT_NODE_NEW_) THEN
    SELECT count(*) INTO MIN_VAL_ FROM MAIN
 WHERE NODEID=:NEW.NODEID 
   AND not (TMA = :OLD.TMA)
   AND (SOFT_VAL = 0 OR SOFT_VAL = 1);
    IF MIN_VAL_ = 0 THEN
   VAL_:=1;
 ELSE
      SELECT min(SOFT_VAL), max(SOFT_VAL) INTO MIN_VAL_, MAX_VAL_ FROM MAIN
   WHERE NODEID=:NEW.NODEID 
     AND not (TMA = :OLD.TMA)
     AND (SOFT_VAL = 0 OR SOFT_VAL = 1);
   VAL_:=BITWISE.B_AND(MIN_VAL_, MAX_VAL_);
 END IF;
 IF (:NEW.SOFT_VAL=0) OR (:NEW.SOFT_VAL=1) THEN  
   VAL_:=BITWISE.B_AND(VAL_, :NEW.SOFT_VAL); 
 END IF;  
 UPDATE NODE SET SOFT_VAL=VAL_
 WHERE NODEID=:NEW.NODEID;
  END IF;

  
   
/*   IF NOT :NEW.NODEID IS NULL THEN
   
   END IF;   
/*   tmpVar := 0;

   SELECT MySeq.NEXTVAL INTO tmpVar FROM dual;
   :NEW.NODEID := tmpVar;
   :NEW.CreatedDate := SYSDATE;
   :NEW.CreatedUser := USER;

   EXCEPTION
     WHEN OTHERS THEN
       -- Consider logging the error and then re-raise
       RAISE;*/
  commit;    
END UPDATE_MAIN;
/
