INSERT INTO SCRIPT_HISTORY ( PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
       'UPDATE_CP_TO_NUM_REP.sql -', --   
	   '7.0.2', 
	   '. CP     (  )'); 
COMMIT;

DROP VIEW PR_V_ALLCP;
DROP VIEW PR_V_EQUPMENT;
DROP VIEW PR_V_WORKS;
DROP VIEW CP_V;
DROP VIEW CP_VOLTAGE;

create table PR_CP_T AS (select * from PR_CP);
delete from PR_CP;
ALTER TABLE PR_CP MODIFY(CP_OIK NUMBER);
ALTER TABLE PR_CP MODIFY(CP_PR NUMBER);
ALTER TABLE PR_CP MODIFY(DIVISION_PR NUMBER);
insert into PR_CP (select * from PR_CP_T);
drop table PR_CP_T;

create table PR_DIVISION_T AS (select * from PR_DIVISION);
delete from PR_DIVISION;
ALTER TABLE PR_DIVISION MODIFY(DIVISION_OIK NUMBER);
ALTER TABLE PR_DIVISION MODIFY(DIVISION_PR NUMBER);
insert into PR_DIVISION (select * from PR_DIVISION_T);
drop table PR_DIVISION_T;

create table PR_EQUIPMENT_T AS (select * from PR_EQUIPMENT);
delete from PR_EQUIPMENT;
ALTER TABLE PR_EQUIPMENT MODIFY(CP NUMBER);
insert into PR_EQUIPMENT (select * from PR_EQUIPMENT_T);
drop table PR_EQUIPMENT_T;

create table PR_REPAIRS_WORK_T AS (select * from PR_REPAIRS_WORK);
delete from PR_REPAIRS_WORK;
ALTER TABLE PR_REPAIRS_WORK MODIFY(CP  NUMBER);
insert into PR_REPAIRS_WORK (select * from PR_REPAIRS_WORK_T);
drop table PR_REPAIRS_WORK_T

create table CP_CLASS_VOLTAGE_T AS (select * from CP_CLASS_VOLTAGE);
delete from CP_CLASS_VOLTAGE;
ALTER TABLE CP_CLASS_VOLTAGE MODIFY(CP NUMBER);
insert into CP_CLASS_VOLTAGE (select * from CP_CLASS_VOLTAGE_T);
drop table CP_CLASS_VOLTAGE_T;

CREATE OR REPLACE VIEW PR_V_ALLCP
(CP_NAME, CP, DIVISION)
AS 
select case 
         when not (pr_cp.cp_oik is null) then
          (select name from name_cp where name_cp.cp = pr_cp.cp_oik) 
   else
    cp_name
  end as namecp,
  nvl(cp_oik, cp_pr) cp,
  division_pr division  
from pr_cp
union
select name, cp, division
from name_cp
/

CREATE OR REPLACE VIEW PR_V_EQUIPMENT
(NAME, ADR, CP, KIND)
AS 
SELECT NAME, TMA, CP, KIND 
  FROM MAIN 
  WHERE (KIND in (SELECT KIND_USE FROM PR_KIND_USE))
UNION 
  SELECT NAME, ADR, CP, KIND 
  FROM PR_EQUIPMENT;
/

CREATE OR REPLACE VIEW PR_V_WORKS
(ID_WORK, ORD, ALERT_USERS, BRIGADA, BRIGADA_NAME, 
 REP_DATE_START, REP_DATE_END, TIME_APPLICATION, REPAIR, REP_NAME, 
 EQUIPMENT, EQUIP_NAME, REP_COMM, COMM_NAME, CP, 
 CP_NAME, DIVISION, DIVIS_NAME, SROK, PR_CP_NAME, 
 VOLTAGE, NPP)
AS 
SELECT   a.id_work, a.ord, a.alert_users, a.brigada, b.brigada_name,
            a.rep_date_start, a.rep_date_end, a.time_application, a.repair,
            e.repair_name, a.equipment, g.NAME equip_name, a.rep_comm,
            f.comm_name, a.cp, c.NAME cp_name, a.division, d.NAME divis_name,
            a.rep_date_end - a.rep_date_start + 1 srok, h.NAME, h.voltage, a.npp
       FROM pr_repairs_work a,
            pr_brigada b,
            name_cp c,
            name_division d,
            pr_repair_type e,
            pr_repair_tcomm f,
            pr_v_equipment g,
            cp_class_voltage h
      WHERE a.brigada = b.brigada
        AND a.cp = c.cp
        AND a.division = d.division
        AND a.repair = e.repair
        AND a.rep_comm = f.comm(+)
        AND a.equipment = g.adr
        AND c.cp = h.cp(+)
   ORDER BY id_work, ord
/

CREATE OR REPLACE VIEW CP_V
(CP, NAME, DIVISION, VOLTAGE)
AS 
select a.CP, a.NAME, a.DIVISION, b.VOLTAGE
from NAME_CP a, CP_CLASS_VOLTAGE b
where a.CP = b.CP(+)
/

CREATE OR REPLACE VIEW CP_VOLTAGE
(CP, OIK_NAME, PR_NAME, DIVISION, DIV_NAME, 
 VOLTAGE)
AS 
select a.CP, a.NAME,b.NAME, a.DIVISION, c.NAME, b.VOLTAGE 
from NAME_CP a, CP_CLASS_VOLTAGE b, NAME_DIVISION c 
where 
     a.CP = b.CP(+) 
AND 
     a.DIVISION = c.DIVISION
/

ALTER TABLE SIGNAL_RESPONCE ADD (
  CONSTRAINT FK_RESP_MAIN_TMA 
 FOREIGN KEY (TMA) 
 REFERENCES MAIN (TMA)
    ON DELETE CASCADE DISABLE);

ALTER TABLE SIGNAL_RESPONCE ADD (
  CONSTRAINT FK_RESP_NAME_CP 
 FOREIGN KEY (H_CP) 
 REFERENCES NAME_CP (CP)
    ON DELETE CASCADE DISABLE);


