INSERT INTO SCRIPT_HISTORY ( PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
	 'UPDATE_DISP_00001.sql - ', -- 
	 '6.0.2 07.05.2008', 
	 '.     ""'); 
COMMIT;


CREATE SEQUENCE S_ZAYVKI
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE TABLE ZAYVKI
(
  ID_ZAYVKI          INTEGER,
  LIST_NUMBER        INTEGER,
  REG_NUMBER         NUMBER                     DEFAULT 0,
  OT_DATE            DATE,
  VID                INTEGER,
  ES                 VARCHAR2(40 BYTE),
  UTVERGDENA         VARCHAR2(40 BYTE),
  ELECTROUST         VARCHAR2(80 BYTE),
  OBORUDOVANIE       VARCHAR2(200 BYTE),
  CHARACTER_REMONTA  VARCHAR2(400 BYTE),
  ZAPROS_DT_BEGIN    DATE,
  ZAPROS_DT_END      DATE,
  PODAL              VARCHAR2(80 BYTE),
  MERY               VARCHAR2(800 BYTE),
  COMMENTARY         VARCHAR2(1000 BYTE),
  DOST_MERY          VARCHAR2(40 BYTE),
  SOGL_DS            VARCHAR2(100 BYTE),
  SOGL_SPS           VARCHAR2(100 BYTE),
  SOGL_SL            VARCHAR2(100 BYTE),
  SOGL_SRZA          VARCHAR2(100 BYTE),
  SOGL_SI            VARCHAR2(100 BYTE),
  SOGL_MS            VARCHAR2(100 BYTE),
  SOGL_SSDTU         VARCHAR2(100 BYTE),
  CONDITION          INTEGER,
  HWO_RAZRESHIL      VARCHAR2(80 BYTE),
  RAZR_DT_BEG        DATE,
  RAZR_DT_END        DATE,
  ZAYV_OPEN          DATE,
  ZAYV_CLOSE         DATE,
  DISP_OPEN          VARCHAR2(40 BYTE),
  DISP_CLOSE         VARCHAR2(40 BYTE),
  PRODL_DT_DO        DATE,
  PRODL_REASON       VARCHAR2(80 BYTE),
  PERENOS_DT_BEG     DATE,
  PERENOS_DT_END     DATE,
  PERENOS_REASON     VARCHAR2(80 BYTE),
  REMOVING_DT        DATE,
  REMOVING_DISP      VARCHAR2(40 BYTE),
  REMOVING_REASON    VARCHAR2(80 BYTE),
  NOTE_DISP          VARCHAR2(80 BYTE),
  OPEN_CLOSE         INTEGER,
  DEL_PROP           INTEGER,
  FREE_BUSY          INTEGER,
  USER_              INTEGER,
  VAG                VARCHAR2(15 BYTE),
  REASON             VARCHAR2(300 BYTE),
  OR_DT_ON           VARCHAR2(40 BYTE),
  RAJON              VARCHAR2(3500 BYTE),
  REG_NO_YES         NUMBER                     DEFAULT 0,
  REG_DATE           DATE                       DEFAULT SYSDATE,
  WHEN_RAZRESHL      DATE,
  WHEN_PERENES       DATE,
  WHEN_OTKAZAL       DATE,
  SOGL_ASKUE         VARCHAR2(100 BYTE),
  HWO_EDIT           VARCHAR2(60 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX ZAYVKI_PK ON ZAYVKI
(ID_ZAYVKI)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER ZAYVKI_INSERT
 BEFORE INSERT ON ZAYVKI  FOR EACH ROW
BEGIN
   Select S_ZAYVKI.NextVal into :NEW.ID_ZAYVKI from dual;
END ZAYVKI_INSERT;
/
SHOW ERRORS;



ALTER TABLE ZAYVKI ADD (
  CONSTRAINT ZAYVKI_PK
 PRIMARY KEY
 (ID_ZAYVKI)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       2147483645
                PCTINCREASE      0
               ));


CREATE TABLE ZAYAVKI_MAILINI
(
  IP_POP_SERVER  VARCHAR2(30 BYTE),
  POP_USER       VARCHAR2(30 BYTE),
  POP_PASSWORD   VARCHAR2(30 BYTE),
  DIR_SAVE       VARCHAR2(100 BYTE)
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;
