INSERT INTO SCRIPT_HISTORY ( PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
	 'UPDATE_DISP_00002.sql - ', -- 
	 '6.0.2 07.05.2008', 
	 '.     ""'); 
COMMIT;


CREATE SEQUENCE S_POWERCUT_GRRES
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;
  
CREATE SEQUENCE S_POWERCUT_RES
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE S_POWERCUTS
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;  
  

CREATE TABLE POWERCUT_GRRES
(
  ID_GRRES     INTEGER,
  NAME_GRRES   VARCHAR2(40 BYTE),
  DEL_PROP     INTEGER                          DEFAULT 0,
  CREATE_DATE  DATE,
  DELETE_DATE  DATE
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE OR REPLACE TRIGGER POWERCUT_GRRES_INSERT 
 BEFORE INSERT ON POWERCUT_GRRES
 FOR EACH ROW
BEGIN
  Select S_POWERCUT_GRRES.NextVal into :NEW.ID_GRRES from dual;
END POWERCUT_GRRES_INSERT;
/
SHOW ERRORS;

ALTER TRIGGER POWERCUT_GRRES_INSERT DISABLE;


CREATE TABLE POWERCUT_RES
(
  ID_RES       INTEGER,
  NAME_RES     VARCHAR2(40 BYTE),
  DEL_PROP     INTEGER                          DEFAULT 0,
  CREATE_DATE  DATE,
  DELETE_DATE  DATE
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE OR REPLACE TRIGGER POWERCUT_RES_INSERT 
 BEFORE INSERT ON POWERCUT_RES
 FOR EACH ROW
BEGIN
  Select S_POWERCUT_RES.NextVal into :NEW.ID_RES from dual;
END POWERCUT_RES;
/
SHOW ERRORS;

ALTER TRIGGER POWERCUT_RES_INSERT DISABLE;


CREATE TABLE POWERCUT_RES_IN_GR
(
  ID_GRRES     INTEGER,
  ID_RES       INTEGER,
  DEL_PROP     INTEGER                          DEFAULT 0,
  CREATE_DATE  DATE,
  DELETE_DATE  DATE
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

CREATE TABLE POWERCUTS ( 
  ID_POWERCUTS    INTEGER, 
  ID_GRRES        NUMBER, 
  ID_RES          NUMBER, 
  SPECIES         NUMBER, 
  DATE_TIME_OFF   DATE, 
  DATE_TIME_ON    DATE, 
  NAME_PODST      VARCHAR2 (100), 
  NAME_RP_TP      VARCHAR2 (100), 
  FIDER           VARCHAR2 (100), 
  REGION_OFF      VARCHAR2 (200), 
  REASON          VARCHAR2 (150), 
  POWER_NOT_GIVE  NUMBER (15,3), 
  DEL_PROP        NUMBER        DEFAULT 0)
   TABLESPACE USERS
   PCTFREE 10
   INITRANS 1
   MAXTRANS 255
  STORAGE ( 
   INITIAL 65536
   MINEXTENTS 1
   MAXEXTENTS 2147483645
 )
   NOCACHE; 

COMMENT ON COLUMN POWERCUTS.DATE_TIME_OFF IS ',  ';
COMMENT ON COLUMN POWERCUTS.DATE_TIME_ON IS ',  ';
COMMENT ON COLUMN POWERCUTS.DEL_PROP IS ' ';
COMMENT ON COLUMN POWERCUTS.FIDER IS '';
COMMENT ON COLUMN POWERCUTS.ID_GRRES IS '  -';
COMMENT ON COLUMN POWERCUTS.ID_RES IS ' -';
COMMENT ON COLUMN POWERCUTS.NAME_PODST IS ' ';
COMMENT ON COLUMN POWERCUTS.NAME_RP_TP IS '  ';
COMMENT ON COLUMN POWERCUTS.POWER_NOT_GIVE IS ' ';
COMMENT ON COLUMN POWERCUTS.REASON IS ' ';
COMMENT ON COLUMN POWERCUTS.REGION_OFF IS ' ';
COMMENT ON COLUMN POWERCUTS.SPECIES IS ' ';

CREATE OR REPLACE TRIGGER POWERCUTS_INSERT
 BEFORE INSERT ON POWERCUTS
FOR EACH ROW
BEGIN
   Select S_POWERCUTS.NextVal into :NEW.ID_POWERCUTS from dual;
END POWERCUTS_INSERT;
/
   
