INSERT INTO SCRIPT_HISTORY ( PAR_DATE_TIME,SCRIPT_VERSION,EXE_VERSION,COMMENT_) 
VALUES (sysdate, 
	 'UPDATE_DISP_00003.sql - ', -- 
	 '6.0.2 07.05.2008', 
	 '.     ""'); 
COMMIT;

CREATE SEQUENCE S_DEFECTS
  START WITH 1
  MAXVALUE 9999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


CREATE TABLE DEFECT_PODRAZD
(
  ID_PODRAZD    INTEGER,
  PODRAZD_NAME  VARCHAR2(80 BYTE),
  DEL_PROP      INTEGER                         DEFAULT 0
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE TABLE DEFECT_GROUP
(
  ID_GROUP    INTEGER,
  GROUP_NAME  VARCHAR2(80 BYTE),
  DEL_PROP    INTEGER                           DEFAULT 0
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON COLUMN DEFECT_GROUP.DEL_PROP IS '  ';


CREATE TABLE DEFECT_OBORUD
(
  ID_OBORUD    INTEGER,
  OBORUD_NAME  VARCHAR2(80 BYTE),
  DEL_PROP     INTEGER                          DEFAULT 0
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE TABLE DEFECT_GR_IN_PD
(
  ID_PODRAZD  INTEGER,
  ID_GROUP    INTEGER
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE TABLE DEFECT_OB_IN_GR
(
  ID_GROUP    INTEGER,
  ID_OBORUD   INTEGER,
  ID_PODRAZD  INTEGER
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE TABLE DEFECTS
(
  ID_DEFECTS    INTEGER,
  ID_PODRAZD    INTEGER,
  ID_GROUP      INTEGER,
  ID_OBORUD     INTEGER,
  DATE_VOZN     DATE,
  MESTO         VARCHAR2(200 BYTE),
  SROK_REGIM    DATE,
  SROK_SLUGB    DATE,
  SROK_FACT     DATE,
  PRICHINA      VARCHAR2(100 BYTE),
  COLOR         INTEGER,
  SROCHNO       INTEGER,
  NOM           INTEGER,
  D_BEGIN_EDIT  DATE,
  HWO_EDIT      VARCHAR2(20 BYTE),
  DEL_PROP      NUMBER                          DEFAULT 0,
  ELIMINATED    NUMBER                          DEFAULT 0
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON COLUMN DEFECTS.ELIMINATED IS '';

CREATE OR REPLACE TRIGGER DEFECTS_INSERT
BEFORE INSERT ON DEFECTS
FOR EACH ROW
BEGIN
   SELECT S_DEFECTS.NEXTVAL INTO :NEW.ID_DEFECTS FROM dual;
END DEFECTS_INSERT;
/





